2014/01/23
	* rep2 version 1.8.97

	[更新] スマホ向け表示をフラットデザイン化した。
	[更新] ユーザ設定編集のフォームに autocomplete="off" の属性を追加した。
	[更新] サムネイル画像表示のコードを更新した。
	[更新] クッキー無効時は外部URLクッションページを強制的に通すようにした。
	（conf_admin.inc.phpの$_conf['force_through_ime_if_urlsid']で設定変更可能）
	[更新] IDを省略して末尾のみ表示する時に「*」表示を追加した。

2013/12/15
	* rep2 version 1.8.96

	[変更] スマホ表示時での(窓)リンクを廃止した。
	（外部URLクリック時に、新規ウィンドウで開くかどうかは、ユーザ設定の$_conf['ext_win_target'] の設定値に従う）

	[修正] 通勤ブラウザの利用設定値がユーザ設定編集から変更できなかったのを修正した。

	[修正] $_conf['through_ime_k']（携帯閲覧時、外部URLクッションを利用）と
	$_conf['k_jig_host']（携帯閲覧時、外部URLクッションでjigブラウザWEBを利用する）
	の設定が正常に機能していなかったのを修正した。

	[修正] $_conf['pre_thumb_width']の設定が機能していなかったのを修正した。

	[更新] pic.to利用の設定値を廃止した。

2013/12/14
	* rep2 version 1.8.95

	[修正] shiro=kumaでの過去ログ取得が正常に機能していなかったのを修正した。

2013/12/12
	* rep2 version 1.8.94

	[更新] ●IDの代わりにofflaw2.soのshiro=kumaで過去ログを取得できるようにした。
	（http://qb5.2ch.net/test/read.cgi/operate/1381326468/76）
	（conf_admin.inc.php の $_conf['enable_shirokuma'] で設定変更）
	
	[修正] バージョン記載を修正した。
        
2013/12/12
	* rep2 version 1.8.93

	[更新] したらば掲示板のドメイン変更に対応した。（jbbs.livedoor.jp → jbbs.shitaraba.net）
	[更新] Willcom, auのIPアドレス帯域を更新した。


2013/09/07
	* rep2 version 1.8.92

	[更新] 板-ホストの対応表を作成するために使用するbbsmenuのURLを変更、設定可能にした。
	(conf_admin.inc.php の $_conf['bbsmenu_url_for_mapping'])

2013/06/24
	* rep2 version 1.8.91

	[修正] 書き込み後に、前回書き込んだメッセージが書き込み欄にそのまま残ってしまうことがあったのを修正した。
	他、微調整。

2013/06/14
	* rep2 version 1.8.90

	[修正] PHPのショートタグが無効な環境で、動作にエラーがあったのを修正した。

2013/06/14
	* rep2 version 1.8.89

	[修正] PC閲覧時、スレ画面の上部に前N件のリンクが表示がされていなかったのを修正した。

2013/06/14
	* rep2 version 1.8.88

	[修正] version 1.8.87で正常に動作しなくなっていたのを修正した。

2013/06/13
	* rep2 version 1.8.87

	[改良] スマホ向けのUIを改良した。
	[改良] スマホの新着まとめ読みに「削除」リンクを追加した。
	[改良] 設定可能な項目追加した。
		追加された設定項目
		「スマホ閲覧時、書き込みフォームの行数」
		「スマホ閲覧時、一度に表示するスレリストの数」
		「スマホでスレ内容表示時、未読の何コ前のレスにポインタを合わせるか」
		「スマホで新着まとめ読みの時、ポインタの何コ前のレスから表示するか」
		「スマホ閲覧時、ポインタの何コ前のレスから表示するか」
		「PC スレッド一覧で新スレのタイトルに色を付けて表示」
		「PC スレッド下部にDAT容量を表示」
	[修正] スレッド表示で前n件のリンクが表示されていなかったのを修正した。
	[修正] 新着まとめ読みからスレッドを開いた時のポインタ位置を修正した。
	[変更] スレ一覧での新スレ表示を変更した（設定可能）
	[変更] スマホ 類似スレと情報ページを分離した。
	[変更] お気にスレ共有の廃止
	他、いろいろ。

2013/05/24
	* rep2 version 1.8.86

        [更新] まちBBSの仕様変更に対応した。

2013/04/10
	* rep2 version 1.8.85

	[修正] vip2ch.comの過去ログ取得の仕様変更に対応した。
	（パッチ感謝 http://anago.2ch.net/test/read.cgi/software/1364360589/8）

2013/03/03
	* rep2 version 1.8.84

	[修正] HTMLポップアップが動かなかったのを修正した。

2013/03/01
	* rep2 version 1.8.83

	[修正] ●で過去ログを取得した時、>>1が表示されず、レス番号がずれることがあったバグを修正した。
	[修正] スマホ表示で板名が文字化けすることがあったのを修正した。
	[更新] レス本文のNGあぼーん対象として、レス番号リンクのHTMLコードを含まないようにした。
	[更新] 外部URLのiframeにsandbox属性を追加した。

2012/12/23
	* rep2 version 1.8.82

	[更新] iPhone5でフォントが明朝体になっていた箇所を、ゴシック体にした。
	[修正] NG設定のIDで、日付も対象となっていたのをIDだけを対象とするように修正した。
	[修正] iPhone, Androidの新着まとめ読みで、スレをスキップする「▼」が表示されるようにした。

2012/10/23
	* rep2 version 1.8.81

	[修正] iPhoneでお気に板の編集から新規お気に板を追加できなかったのを修正した。
	[修正] iPhoneで「その他」メニューの表示が隠れることがあったのを修正した。
	[更新] iPhone用表示を更新した。（検索フォームの追加等）
	[更新] 携帯のIPアドレス帯域を更新した。
	[変更] conf/conf_admin.inc.php の $_conf['fsockopen_time_limit'] を $_conf['fsockopen_timeout'] に変数名変更。

2012/04/29
	* rep2 version 1.8.80

	[修正] iPhone、Androidのスレ表示で次ボタンが正常に機能していなかったのを修正した。

2012/04/28
	* rep2 version 1.8.79

	[修正] iPhoneのお気に板編集ページの表示を修正した。↓パッチ感謝
	http://anago.2ch.net/test/read.cgi/software/1327333606/403

2012/04/09
	* rep2 version 1.8.78

	[修正] PHP5.4対応のため、htmlspecialchars に文字コードの引数を追加した。
	[修正] iPhoneでレス検索時に大きな次ボタンが有効でなかったのを修正した。

2012/03/05
	* rep2 version 1.8.77

	[修正] conf_system.inc.phpにバージョン記載ミスがあったのを修正した。

2012/03/05
	* rep2 version 1.8.76

	[修正] ログイン用クッキーの登録に失敗していたのを修正した。

2012/02/29
	* rep2 version 1.8.75

	[修正] PHP設定のshort_open_tagが無効の時、iPhoneモードでスクリプトエラーが起きていたのを修正した。
        （<? を <?php に修正）
	Thanks → http://anago.2ch.net/test/read.cgi/software/1327333606/131

2012/02/26
	* rep2 version 1.8.74

	[修正] 最近読んだスレが正常に記録されないことがあったのを修正した。（同一keyのスレ）
	[修正] iPhone用CSSを修正した。
	[更新] 携帯のIPアドレス帯域を更新
	[更新] Android版Firefoxでの表示を調整した。↓情報感謝
	http://anago.2ch.net/test/read.cgi/software/1327333606/93
	http://anago.2ch.net/test/read.cgi/software/1327333606/100 
	[更新] AndroidでYouTubeのサムネイルを表示するようにした。
	[更新] 表示モード指定（引数b=X）のcookie有効期限をセッション中のみに変更した。
	[更新] その他、細かな更新。

2011/10/01
	* rep2 version 1.8.73

	[修正] したらばのログ表示時にエラーとなることがあったのを修正した。
	[更新] Windows Phoneでの表示をより最適化した。

2011/09/30
	* rep2 version 1.8.72

	[修正] PHP設定 mbstring.func_overload 有効時の不具合を修正した。
	Thanks → http://hibari.2ch.net/test/read.cgi/software/1306160232/515
	[更新] Windows Phone 7向けIE9での表示に少し対応した。
	Thanks → http://hibari.2ch.net/test/read.cgi/software/1306160232/510
	[更新] Androidをyoutubeリンク変換の対象外とした。
	[更新] cookieのIP同一性チェックのデフォルトを変更。ログインフォームのチェックボックス「Cookie認証時にIPの同一性をチェックしない」を「Cookieログイン時、IPの同一性をチェックする」に変更した。
	（$_COOKIE['ignore_cip'] → $_COOKIE['check_cip']）
	[更新] gzip圧縮転送の設定を追加した。デフォルトでは携帯のみ有効。
	（conf_admin.inc.php の $_conf['enable_ob_gzhandler']）

2011/07/14
	* rep2 version 1.8.71

	[修正] conf_adminの設定値 $_conf['expack.use_pecl_http'] を有効にした際の不具合を修正した。

2011/07/04
	* rep2 version 1.8.70

	[修正] iPhone用表示でスレ内のレス番移動が正常に動作しないケースがあったのを修正した。

2011/06/27
	* rep2 version 1.8.69

	[修正] iPhone用表示をAndroidで見たとき、「次XX」ボタンのdisabled状態が半透明表示になっていなかったのを修正した。
	[更新] spmodeスレ一覧で既得状態でない場合の新着数表示は「*」マークとし、クリックすることで記録を削除できるようにした。
	[更新] iPhone用表示のトップページ下部に「2chのスレURLを直接指定」するためのフォームを追加した。
	[更新] 各種デバイスのログイン用URLの表示を追加した。
	[更新] 携帯のお気に板編集の表示件数を抑制した。
	[更新] 携帯のIPアドレス帯域を更新した。

2011/3/29
	* rep2 version 1.8.68

	[修正] iPhoneのポップアップ時に予期せぬアンカー移動が生じないようにした。
	[修正] 新着まとめ読み時、レス番号ポップアップメニューの「同じ名前」「逆参照」のリンク先がread_new.phpになってしまっていた不具合を修正した。
	[修正] 携帯、iPhoneの板内スレタイ検索で、ページ移動時に検索オプションが引き継がれていなかったのを修正した。
	[修正] iPhoneであぼーん中のスレがある時、スレ一覧のフッタバーで「次」が表示されなくなることがあった不具合を修正した。
	[更新] ニコニコ動画リンクのプレビュー表示でnico.ms形式のURLに対応した。
	[更新] 掲示板サイトのCookieをスレの「情報」から削除できるようにした。
	[更新] iPhone表示の「ログイン管理」に、PC表示用のリンクを追加した。
	[更新] softbankのIPアドレス帯域を更新した。

2011/1/26
	* rep2 version 1.8.67

	[対応] be.2ch.netのログイン仕様変更に対応した。
	[改良] 携帯、iPhoneで、新着まとめ読みの新着レスがなかった時、前回キャッシュへのリンクを表示するようにした。
	[更新] スクリプトファイルの改行コードをLFに統一した。

2010/12/29
	* rep2 version 1.8.66

	[更新] 携帯のIPアドレス帯域の更新した。
	[改良] 「docomo固有端末認証」のリンクでGETクエリーを維持するようにした。
	[修正] 名前などの末尾で文字崩れが発生することがあったのを修正した。（StrSjis::fixSjis()）

2010/08/10
	* rep2 version 1.8.65

	[修正] AndroidのUA判定処理を修正した。
	[修正] スレ一覧の検索で、条件に「すべて」を選択するとヒットしなかったのを修正した。
	[修正] ログアウト操作で、セッションクッキーが破棄されないことがあったのを修正した。
	[修正] iPhoneモードで[履歴からは外す]が効かなかったのを修正した。
	[修正] iPhoneの書き込み欄表示時に、名前欄が隠れてしまっていることがあったのを修正した。
	[修正] iPhoneの情報メッセージ表示が崩れる箇所があったのを修正した。(editpref_i.php)
	[修正] http://www.google.co.jp/search?q=http://qb5.2ch.net/test/read.cgi/operate/1273524771/ のような外部URLが2chのスレッドとして内部リンクされないように修正した。
	[機能追加] iPhoneのレス番号ポップアップから、 「同じ名前」「逆参照」を選択できるようにした。 
	[機能追加] 携帯、iPhoneの「板内のスレタイ検索」で条件指定ができるようにした。
	[改良] iPhoneのログ削除をajaxにした。
	[改良] docomoでもiモードブラウザ2.0でクッキーが使える場合は、URLにSIDを含まないようにした。
	[変更] 板移転のマッピング参照メニューを http://menu.70.kg/bbsmenu.html に変更した。
	[変更] iPadのデフォルトの表示モードをiPhone用にした。
	[変更] スレ一覧での検索条件のデフォルトをORからANDに変更した。
	[変更] 携帯表示時、subject.txtのダウンロードに費やす合計制限時間設定のデフォルト値を10秒から8秒に変更した。（conf_admin.inc.php $_conf['dlSubjectTotalLimitTimeM'] ）
	[更新] クッキーが有効な場合、URL引数にb=pcでPC用表示を指定可能にした。
	[更新] 板移転を自動追跡を検出する時、 SETTING.TXTの存在を確認するようにした。 
	[更新] 古い板から投稿した時に、書込み成功のメッセージが表示されてしまわないようにした。
	[更新] 2chのBBS_UNICODE=passに対応した。
	[更新] 携帯のIPアドレス帯域を更新した
	[更新] リサイズ可能ポップアップで、Firefoxの場合、リクエストが2つ飛んでいたのを回避するようにした。（js/htmlpopup.js）

2010/04/13
	* rep2 version 1.8.64

	[修正] PHP4環境でエラーがあったのを修正した。

2010/04/12
	* rep2 version 1.8.63

	[修正] docomoで固有端末認証ができなくなっていたのを修正した。
	[修正] PHP4環境でエラーが出ていたのを修正した。
	[修正] 過去ログHTMLの存在を検出しないことがあったのを修正した。
	[修正] 引用ポップアップ表示に不要なスレタイがまれに含まれていたのを修正した。
	[改良]「書き込んだレスの記録」の表示で、Pagerのメモリー使用量を抑えた。
	[改良] デフォルトの名前は、NG・あぼーんとフィルタ検索の対象外とした。
	[変更] subject.txtのダウンロードに費やす合計制限時間の設定値を15秒から20秒に変更した。
        （conf/conf_admin.inc.php $_conf['dlSubjectTotalLimitTime']）

2010/03/20
	* rep2 version 1.8.62

	[修正] PHP設定のshort_open_tagが無効の時、iPhoneモードでスクリプトエラーが起きていたのを修正した。
	[更新] iPhone、jigブラウザのIPアドレス帯域を更新した。

2010/03/06
	* rep2 version 1.8.61

	[修正]「これにレス」でHTMLエンティティがデコードされてしまっていたのを修正した。
	[修正] クッキー無効時に、(p)ポップアップ、ユーザ設定編集の「リロード」でセッションが途切れていたのを修正した。
	[改良] 削除リンクのJavaScript動作を非同期ajaxに変更した。
	[更新] フレーム解除を避けるために、twitter.comとnoaa.govを(p)ポップアップの適用外とした。
	[更新] 設定値 $_conf['default_socket_timeout'] = 20 を追加した（conf/conf_admin.inc.php）
	[更新] WILLCOM, au, docomoのIPアドレス帯域を更新した。
	[内部更新] UriUtilクラス(UriUtil.php)を追加した。

2010/01/16
	* rep2 version 1.8.60

	[修正] PC表示のタイトルページに記載の携帯ログイン用URLにuser引数が抜けていたのを直した。
	[修正] iPhoneモードの設定管理で表記ミスがあったのを修正した。
	（NG:メール → NG:メッセージ）
	[修正] 「>写」でスレッドURLがおかしくなっていたのを修正した。
	[改良] b=iでリンク先URLが固定されていた箇所を、固定しないようにした。
	[更新] WILLCOMのIPアドレス帯域を更新した。
	[内部更新] 同梱PEARのHTTP_Requestを更新した。(1.4.4)
	[内部更新] conf.inc.phpから分離して、conf_system.inc.phpを新たに追加した。

2009/09/17
	* rep2 version 1.8.59

	[修正] iPhoneでお気に板の編集をしようとすると、エラーとなるのを修正した。
	[改良] DAT容量が500KBを越える場合は、スレ表示下部で強調表示するようにした。
	[改良] read.cgiのスレ表示がread.html（JavaScript）になっている時の過去ログ取得にも対応した。
	[改良] まちBBSの外部リンクジャンプページ（http://machi.to/bbs/link.cgi?URL=）をスキップするようにした。
	[改良] まちBBSのPATH_INFO形式URLの内部リンクに対応した。
	[変更] スレ一覧の「Birthday」を「スレ立て日」と表記変更した。 
	[変更] 設定編集で、「ソート」という言葉は使わずに「並び順」と表記変更した。

2009/07/31
	* rep2 version 1.8.58

	[修正] iPhoneで、名前に含まれるレス番号が引用ポップアップしなくなっていたのを修正した。
	[変更] 携帯のUAとIPアドレス帯域が一致していなくてもアクセス拒否しないようにした。
	（アクセス拒否はされないが、端末ID認証はできない仕様）
	[更新] AndroidのUAでも、iPhoneとして表示モードを自動判定するようにした。
	[更新] SoftBankのIPアドレス帯域を更新した。

2009/07/17
	* rep2 version 1.8.57
	
	[修正] b=iのクエリー指定によるiPhoneモードが、TOPページに戻った時にクリアされてしまうことがあったのを修正した。
	[変更] PHP 5.3の非推奨エラー (E_DEPRECATED) を報告しないようにした。
	[変更] 文言表記の微変更。

2009/06/28
	* rep2 version 1.8.56
	
	[修正] PHP4で動作しなかったのを修正した。（P2Util.php）

2009/06/28
	* rep2 version 1.8.55
	
	[修正] PHP4で動作しなかったのを修正した。（FileCtl.php）
	[改良] スレッド内容表示下部にDAT容量の表示を追加した。
	[更新] 同梱PEARのNet_UserAgent_Mobileを更新した。

2009/06/20
	* rep2 version 1.8.54

	[修正] お気に板メニューの表示不具合を修正した。

2009/06/20
	* rep2 version 1.8.53

	[修正] ログイン管理から●を設定しようとした時、メアドに「+」が含まれていると受け付けられなかったのを修正した。
	[修正]  $MYSTYLEでURLをエスケープする対象をより厳密にした。（感謝→rskさん）
	[修正] 携帯でスレタイが2重にエスケープされて表示されている箇所があったのを修正した
	（#.検索画面 7.書き込み画面）
	
	[修正] iPhoneで「…」メニューの「ログ削除」でログを削除した後の削除完了画面で
	「似スレ」をタップすると正常に表示されなかったのを修正した。
	
	[修正] 携帯用スタイル設定で、「ユーザ設定編集」で設定可能な値の場合、
	conf_user_style.inc.phpでの設定値が反映されていない項目があったのを修正した。
	
	[改良] iPhoneでコピー操作ができなかったのを可能にした。
	[改良] チャットちゃんねる（cha2.net）に対応した（パッチ感謝 p2スレ part46 >>359さん）
	[改良] ログインフォームでiPhone向けに「autocorrect="off" autocapitalize="off"」を付けた。
	[改良] subject.txtのダウンロードに費やす合計制限時間を、PCとモバイルで、個別に設定できるようにした。
		conf/conf_admin.inc.php
		$_conf['dlSubjectTotalLimitTime']（デフォルト15秒）
		$_conf['dlSubjectTotalLimitTimeM']（デフォルト8秒）

	[更新] jigのIPアドレス帯域を更新した。
	[更新] 同梱PEARにConsole_Getoptを追加した。（※今はまだ未使用）

2009/05/31
	* rep2 version 1.8.52

	[改良] vip2ch.comの過去ログ読み込みに対応した。（パッチ感謝 p2スレ part46 >>323さん）
	[改良] >>1->>2形式のレス範囲引用に対応した。（感謝 p2スレ part46 >>335さん）
	[修正] PHP5未満でSettingTxtのエラーが出るのを修正した。

2009/05/29
	* rep2 version 1.8.51

	[修正] SettingTxtのキャッシュ処理を改善した。
	（携帯、iPhoneでのスレ表示が0.27秒くらい速くなったかもしれない）
	[修正] iPhoneでYouTube変換が正しくなされていなかった不具合を修正した。
	[修正] 携帯スレタイで、htmlエスケープが2重に行われていたのを修正した。
	[改良] スキンで「!important」を指定するオプションをつけた（感謝→rskさん）
	[改良] 検索時、"．"と"."も全角半角の区別をしないようにした。
	[改良] 名前が板のデフォルト名である場合は、数字が含まれていても
	レスアンカーリンク変換を行わないようにした。（バイク板の"７７４ＲＲ"など）
	[変更] DoCoMoの表記をdocomoに変更した。
	[更新] 同梱PEAR Net_UserAgent_Mobile 1.0.0RC3 アップデート。

2009/05/18
	* rep2 version 1.8.50

	[修正] 携帯とiPhoneでNGメッセージの表示に不具合があったのを修正した。

2009/05/18
	* rep2 version 1.8.49

	[修正] P2Util::getRemoteHost()が正しく値を返していなかったのを修正した。

2009/05/18
	* rep2 version 1.8.48
	
	[修正] 通勤ブラウザのリンクが表示されなくなっていたのを再修正した。
	[改良] iPhoneで「k_use_tsukin」の設定に関わらず、外部URLリンクの前に(窓)リンクが表示されるようにした。

2009/05/17
	* rep2 version 1.8.47

	[修正] 通勤ブラウザのリンクが表示されなくなっていたのを修正した。
	[更新] 同梱PEAR Net_UserAgent_Mobile 1.0.0RC2 アップデート。

2009/05/13
	* rep2 version 1.8.46

	[更新] auのIPアドレス帯域を更新。
	[改良] リンク変換処理を更新。2chとYouTubeの携帯リンク、orz.2ch.io対応。（with 82さんパッチ）
	[内部更新] レスアンカー正規表現のコードを更新。（with 82さんパッチ）

2009/05/08
	* rep2 version 1.8.45
	
	[バグ修正] 携帯のお気に板の表示で、アクセスキーの数字が表示されなくなっていたのを修正した。

	[改良] レスアンカー認識を拡張した。
	（全角数字に対応。>>aa-bb,cc,dd-eeなど、範囲の列挙に対応。名前欄のレス番号を複数認識）
	（パッチ感謝 → 2ch p2スレ part46 >>82さん）
	
	[改良] 携帯のレス番号指定でこれまで使えていた'-'に加えて、','も使えるようにした。 
	また、maxlength="7"の指定を外した。 

2009/05/04
	* rep2 version 1.8.44
	
	[修正] 情報画面の表示でエラーとなるバグを修正した。
	[修正] 書き込み時にエラーとなるバグを修正した。

	[改良] 情報画面の「板」の隣に「似スレ」のリンクを付けた。

2009/05/03 aki
	* rep2 version 1.8.43
	
	[修正] Safari3でヘッドバーが正常表示されていなかったのを修正した。
	[修正] NGワードの破線をクリックしてもレス確認できないケースがあったのを修正した。

	[改良] PC用のアクセスキー(accesskey)を conf/conf_admin.inc.php で設定変更可能とした。
	[改良] ユーザ設定編集で、「3ペイン画面のフレームの並べ方」を 
	「横一列（川形）」タイプに設定できるようにした。 
	
	[改良] iPhone用の表示を調整した。
	[改良] iPhoneのスレッド表示で、フッタに大きな「次」ボタンを追加した。
	[改良] iPhoneでレスポップアップ表示した時、×マークだけでなく、
	ポップアップそのものをタッチしても、ポップアップが消えるようにした。
	[改良] iPhoneのスレ表示中のツールアイコン「…」に「ログ削除」を追加した。
	[改良] iPhoneで、「AA略」の代わりに「AA縮小」となるようにした。
	（AA判定された時に、小さなフォントサイズにして <pre> で囲っているだけです）
	
	[修正] iPhoneのスレ一覧表示で、フッタツールバーのあぼーんのアイコンが
	別アイコンで流用されていたのを新しく作成した。

	他いろいろ。規則に則したlibファイル名の変更多数。

2009/04/04
	* rep2 version 1.8.42
	
	[修正] 環境によっては、iPhoneで板メニューが表示されないことがあったのを直した。
	[変更] ChromeとSafariを「3ペインで開く」の対象外とした。

2009/03/28
	* rep2 version 1.8.41

	[対応] まちBBSのURL変更に対応。.pl→.cgi
	[新機能] iPhoneモードに実験的対応。（感謝→15&iPhoneスレ）
	[新機能] 拡張パックよりスキン機能を取り込んだ。（感謝→rsk）
	[新機能] 設定管理ページからお気にスレリストとスレの殿堂リストの生データをDLできるようになった。
	[更新] 携帯のIPアドレス帯域を更新した。
	[改良] 携帯で >>1,2,3,… と多数のレスアンカーがあった時のリンク変換数上限を設けた。
	[変更] hogehuga.class.php 形式のファイル名を HogeHuga.phpに変更した。
	[修正] 環境によっては、PHPのエラー表示が出ることがあったのを修正した。

	その他、細々とした更新。

2008/10/11
	* rep2 version 1.8.40

	[修正] PHPの定数 E_STRICT が未定義な環境で、エラーが出るのを修正した。
	[修正] 携帯モードで｢2chのｽﾚURLを直接指定｣ のフォームから移動した時、
	携帯表示の指定（b=k）が維持されていなかったのを修正した。
	[更新] memory_limitの設定が、32M未満の場合には、32Mに引き上げてセットするようにした。（conf.inc.php）
	[更新] スクリプトの実行時間制限（max_execution_time）を常に60秒に上書きセットしていたのを、
	60秒未満の設定の場合のみ、60秒に引き上げてセットするようにした。（conf.inc.php）
	[更新] 外部ネットワークからアクセスした時の、ログインページでの警告メッセージを変更した。

2008/10/08
	* rep2 version 1.8.39

	[修正] スレタイの表示が2重にエンコード表示されることがあったのを修正した。（"&amp;" 等）

2008/10/07
	* rep2 version 1.8.38

	[修正] JavaScriptが無効の時、スレのお気に入りへの追加が正常に動作しないことがあったのを修正した。
	[修正] 2chのBEアイコンが一部表示されないことがあったのを修正した。

2008/10/03 aki
	* rep2 version 1.8.37
	
	[修正] 携帯向けのスレ表示で、レスコピーなどのレス番指定フォームが表示されていなかったのを修正した。

2008/10/03 aki
	* rep2 version 1.8.36

	[修正] 前回のログイン情報と前回の失敗POSTの記録表示が変になっていたのを修正した。
	（DataPhpにバグがありました。データが上書き更新されるまでは、変な表示が残るかもしれません）
	[新機能] YourFileHostのURLにダウンロード用リンクを付けられるようになった。
	（p2スレ part43 >>711 さんのパッチを取り込みました。感謝）
	（ユーザ設定編集 link_yourfilehost。デフォルトはオフ）
	[改良] IDフィルタリング処理を高速化した。
	[更新] 携帯の「写」のページのフッタの「ﾚｽ」表記を「書」に変更した。

2008/10/01 aki
	* rep2 version 1.8.35

	[更新] WillcomのIPアドレス帯域を更新した。

2008/10/01 aki
	* rep2 version 1.8.34

	[修正] スレ一覧の表示件数が、記憶されなくなっていたのを修正した。 

2008/10/01 aki
	* rep2 version 1.8.33

	[修正] レスフィルタリングの「含まない」でレスが表示されなくなっていたのを修正した。
	[更新] PCで書き込みログをチェックして削除した後に、 
	PagerのpageIDが維持されていなかったのを、維持するようにした。 
	[改良] 書き込みログのチェック削除処理を少し高速化した。

2008/10/01 aki
	* rep2 version 1.8.32

	[修正] 携帯の書き込みログの表示で、メッセージが「略」されている時、内容を確認できなくなっていたのを修正した。
	[更新] 書き込みログの表示で、トリップを変換して表示するようにした。
	（PC閲覧時なら、トリップ部分をマウスオーバーしてトリップキーを確認することが可能）

2008/09/30 aki
	* rep2 version 1.8.31

	[修正] 新着まとめ読みからJavaScriptを使わずに書込ウィンドウを開いた時に、
	スレッドタイトルが文字化けすることがあったのを修正した。

2008/09/29 aki
	* rep2 version 1.8.30

	[修正] 携帯用表示で、レス区切り線（<hr>）が基本テキスト色指定の設定を反映していなかったのを修正した。
	[修正] スレ内検索をした時、表示が変になることがあったのを修正した。（検索条件「/ ／」のいずれかを含む等）
	[更新] クライアントのホスト名を名前解決する機会をもっと減らした。
	[改良] 「レス」の表記が「書込」に変わった。（v1.8.20で変えていたつもりが一部変わっていなかった）

2008/09/28 aki
	* rep2 version 1.8.29

	[更新] クライアントのホスト名を名前解決する機会をさらに減らした。
	（ログインログ記録時も、ローカルIPで必要がなければ、名前解決を控えるようにした）

2008/09/28 aki
	* rep2 version 1.8.28
	
	[更新] クライアントのホスト名を名前解決する頻度を減らした。
	[更新] タイトル画像のデザインを微調整した。

2008/09/28 aki
	* rep2 version 1.8.27

	[修正] PHP5.2.0未満の環境で、login.class.phpのsetcookie()でエラーが出ていたのを修正した。

2008/09/28 aki
	* rep2 version 1.8.26

	[修正] PHP4環境で、UA.phpにパースエラーが出ていたのを修正した。

2008/09/28 aki
	* rep2 version 1.8.25

	[修正] スレ表示で検索フィルタリング表示ができなくなっていたのを修正した。

	- 変更のあったファイル
		read.php

2008/09/28 aki
	* rep2 version 1.8.24

	[修正] 板一覧を更新した時に、[特別]のメニュー表示がずれていたのを修正した。

	- 変更のあったファイル
		lib/menu.inc.php

2008/09/28 aki
	* rep2 version 1.8.23

	[修正] subject.phpで関数の再定義エラーが生じていたのを修正した。
	
	- 新規追加されたファイル
		lib/sb_toolbar.funcs.php

	- 変更のあったファイル
		lib/sb_toolbar.inc.php

2008/09/28 aki
	* rep2 version 1.8.22

	[修正] 「似スレ」のクエリーがエンコードされた文字列となっていた不具合を修正した。
	
	他、ちょっとしたコードの整理

2008/09/28 aki
	* rep2 version 1.8.21

	[修正] 板一覧で[更新]しようとすると、subject_new.phpで_loadP2Settingの 
	再定義エラーが出ることがあったのを修正した。
	
	- 新規追加されたファイル
		lib/subject.funcs.php

	- 変更のあったファイル
		subject.php
		subject_new.php

2008/09/28 aki
	* rep2 version 1.8.20

	[更新] 2chの書き込みで、hana mogera以外のケースにも対応した。
	[更新] ●取得で新パターン「-ERR 過去ログ倉庫で発見」となった場合に対応した。
	[更新] c.2ch.netのキャリア別サーバの振り分けが必要なくなったので、c.2ch.netに統一した。
	[更新] 携帯のBBS PINKの元スレをr.iからr.soに変更した。
	[更新] 2chのsamba24の設定を参照して連続投稿制限を行うようにした。
	[更新] URLリンク変換でニコニコ動画の仕様変更に対応した。
	[更新] まちBBSの仕様変更で赤ネームの投稿があぼーんとなって表示されなくなっていたのに対応した。
	[更新] 各携帯キャリアIPアドレス帯域を更新した。

	[新機能] 携帯 元スレURLのカスタマイズ機能をつけた。
	[新機能] 携帯で「最近読んだスレの全て」「お気にスレの全て」「スレの殿堂」のスレ一覧表示でも検索ができるようにした。
	[新機能] 2chのBEアイコン表示に対応した。

	[修正] DAT中のHTMLをあらかじめ検証してフィルタするようにした。
	（HTML_StripTags.php。 thanks to rsk）
	[修正] HTMLがエスケープされない箇所があったのを修正した。
	[修正] リクエストデータのチェックを強化した。
	[修正] IDが出なくてBBS_SLIPだけある板でも、ユーザ設定編集 mobile.id_underline の設定に従って末尾Oに下線が付くようにした。
	[修正] スレタイ末尾が壊れているときに、表示が崩れないように修正した。
	[修正] mb_ereg_replace が有効で無い時、フィルタ文字列に「/」が入っていると、エラーとなっていたのを修正した。
	[修正] 検索ワードで一部の正規表現（「ht.*」など）を指定すると、HTML表示が崩れてしまうことがあったのを修正した。(thanks to rsk)
	[修正] htp:// でリンクが変換されてしまっていたのを修正した。
	[修正] 過去ログを拾得表示したときに b=k指定が引き継がれていなかったのを修正した。
	[修正] 書き込み後にスレをリロードしないことがあったのを修正した。
	[修正] 過去ログスレッド表示時に、ヘッドバー内であっても、マウスカーソルを下に移動させると、
	ヘッドバーが消えてしまうことがあったのを修正した。
	[修正] Cookieを使わないセッションを利用している時、
	書き込み後にセッションが維持されないことがあったのを修正した。
	[修正] 一部のユーザ設定項目が、携帯から編集した時にデフォルト値に戻ってしまう 
	バグがあったのを修正した。 
	（enable_headbar, enable_spm, 
	frame_menu_width, frame_subject_width, frame_read_width） 

	[改良] iPhone/iPod touchでの横幅表示を指定して見やすくした。
	[改良] PCのスレ一覧のHTMLサイズをコンパクトにした（約20%減）
	[改良] Cookieのセット時にHttpOnlyを指定するようにした。
	[改良] 携帯で新まとめ時のスレタイと板名も、パケット節約の設定で、全角→半角変換を行うようにした。
	[改良] 携帯でスレ内の前回検索条件を記憶していなかったのを記憶するようにした。
	[改良] ユーザ設定編集フォームのセレクトボックスをラジオボタンに変更した。
	[改良] URLに /test/read.cgi/ を含む形式の外部URLの直接指定とp2内リンクに対応した。
	[改良] 「レス」の表記が「書込」に変わった。
	[改良] スレ一覧でクリックできない全角空白タイトルは、
	スレURLを表示することでクリックできるようにした。

	他、微細な変更点が多数。
	付属のPEARも更新。
	
	- 新規追加されたファイル
		lib/HTML/StripTags.php
		lib/HTML/StripTags1.php
		lib/HTML/StripTags2.php
		lib/P2Validate.php
		lib/P2View.php
	
	- 変更のあったファイル
		たくさん

2007-10-02 aki
	* rep2 version 1.8.14
	
	[新機能]  携帯TOPメニューを並び替え設定可能とした。
	[新機能]  携帯のHTML基本色を設定で指定できるようにした。
		背景色（k_bgcolor）、テキスト色（k_color）、リンク色（k_acolor）、訪問済みリンク色（k_acolor_v）
		携帯 区切り線(<hr>)の色は、基本テキスト色の設定と同じにした。
	[新機能]  携帯 元スレがc.2chである時、FROM設定を渡すようにした。

	[対応更新]  willcomのIPアドレス帯域を更新した。
	[対応修正]  YouTubeの jp.youtube.com ドメインに対応した。
	[対応修正]  2chサーバでread.cgiにアクセスできない時、DAT落ちスレが取得できないサーバがあったのを、取得できるように対応した。

	[バグ修正] ブラウザがIE以外の時、HTMLポップアップ(p)の表示位置がおかしいことがあった不具合を修正した。
	[バグ修正] 「似スレ」で文字化けが発生することがあったのを修正した。
	[バグ修正]  スレタイで「&」が「&amp;」、「"」が「&quot;」と表示されることがあった不具合を修正した。
	[バグ修正]  スレッド一覧画面でのヘッダへのアンカー（▲）が正しくなかったのを修正した。
		#header > #sbtoolbar1

	[改良]  新着まとめ読みから開いた書き込みのポップアップウィンドウを自動で閉じるようにした。
	（自動リロードはこれまでと同様に行わない）
	[改良]  NGワードの表示をマウスオーバーからクリックに変更した。
	[改良]  NG/あぼーんワード編集のリンクをフォームボタンから、テキストリンクに変更した。
		（※リンクを新窓で開いたりできるように）
	[改良] スレ一覧の数が1件以下の場合は、スレッドあぼーんの自動解除を行わないようにした。

	[仕様変更]  速報headline(headline.2ch.net)は最近読んだスレに記録しないようにした。
	[仕様変更]  PC 左メニューの「お気にスレ」と「最近読んだスレ」の位置が入れ替わった。
	[仕様変更] PSPを携帯表示としないようにした。

	[内部改良] ヘッドバーのHTMLをJavaScriptで動的にコピー生成するように改良した。
	
	付属のPEARを更新した。
	
	- 新規追加されたファイル
		lib/global.funcs.php is new
	
	- ファイル名が変更されたファイル
		lib/SubjectTxt.class.php   > lib/SubjectTxt.php
		lib/ngabornctl.class.php   > lib/NgAbornCtl.php
		lib/showthread.class.php   > lib/ShowThread.php
		lib/showthreadk.class.php  > lib/ShowThreadK.php
		lib/showthreadpc.class.php > lib/ShowThreadPc.php
	
	- 変更のあったファイル
		たくさん

2007-3-14 aki
	* rep2 version 1.8.13
	
	[バグ修正] スレ一覧でスレタイトルの色の指定が新着と既着が逆になることがあったバグを修正した。
	[バグ修正] スレ一覧ページで▼▲の移動リンク正常に表示されていなかったのを修正した
	[バグ修正] スレ一覧表示の未読数が0.1などとなることがあったのを修正した。
	[バグ修正] 携帯でメールのNGワード変換表示が正常になされていなかったのを修正した。
	[バグ修正] お気に板に、移転反映前の板と、自分で登録した移転後の板の両方がある時、
	  移転反映前の板が自動更新で移転反映された後（つまり同じアドレスの板がふたつ登録されてる状態）に
	  片方をお気に板から外す操作をすると、両方とも消えてしまう不具合があったのを修正した。

	[新機能] スマートポップアップメニューをつけた。（拡張パックよりシンプルなもの。これにレス、引用してレス、同じ名前、逆参照）

	[新機能] subject.txtを一度にダウンロードする際の全体的な時間制限を設定できるようになった（デフォルト15秒）
	  conf_admin.inc.php $_conf['dlSubjectTotalLimitTime']

	[新機能] スレ情報画面から、生DATをダウンロードできるようになった。
	[新機能] ニコニコ動画のプレビュー表示に対応した
	  （ユーザ設定 link_niconico）

	[ユーザ設定追加] p2 bottom_res_form 常時するを追加
	  （しない: 0 マウスオーバー表示:1 常に表示:2）

	[改良] NGあぼーん編集の設定登録UIを強化した（拡張パックより。感謝!）
	[改良] 携帯のスレ情報画面で、お気にスレの登録削除に、 アクセスキー（9）を付けた。 
	[改良] 引用先レス表示でもNGあぼーんが適用されるようにした。

	[対応] auのIPアドレス帯域を追加更新した。

	[仕様変更] 携帯トップメニューの「2.最近読んだｽﾚの全て」と「4.お気にｽﾚの全て」のリンクに、
	  norefresh=1をつけて、subject.txtの更新を行わないようにした。
	[仕様変更] セッションを強化した。
	[仕様変更] PSPも携帯向け表示とするようにした。

	- 新しく追加されたファイル
		dat.php
		edit_aborn_word.php
		lib/UA.php
		read_filter.php

2007-1-30 aki
	* rep2 version 1.8.12
	
	[追加修正] 同梱し忘れていた img/kossori.gif を追加した。
	[変更] 携帯 TOPメニューで「最近読んだスレ」を一番上にした。
	
	- 新しく追加されたファイル
		img/kossori.gif
		
	- 変更のあったファイル
		conf/conf.inc.php
		info.php
		lib/index_print_k.inc.php

2007-1-30 aki
	* rep2 version 1.8.11
	
	[追加] 標準でPEARを添付した（includesディレクトリ)
	  ※サーバーにインストールされたPEARがある場合は、そちらの利用を優先します
	
	- 新しく追加されたファイル
		includes ディレクトリ以下
	
	- 変更のあったファイル
		conf/conf.inc.php
		lib/ngabornctl.class.php
		lib/read_res_hist.inc.php
		lib/sb_toolbar.inc.php
		read.php
		read_new.php
		subject_new.php

2007-1-29 aki
	* rep2 version 1.8.10
	
	[新機能] HTMLポップアップがリサイズ可能になった。
	[新機能] スレッド表示にヘッドバーが付いた。（ユーザ設定 enable_headbar）

	[改良] レスポップアップを複数開いた時の、重なり順の挙動を改良した。
	[改良] レスポップアップがほわっと消えるようになった。
	[改良] お気に板の並び替えで、JavaScript D&D版と非JavaScript版を選択できようにした。
	[改良] subject.php で、refreshクエリーの指定により、subjext.txtのキャッシュを適用しないようにできるようにした。
	[改良] post.phpの指定を変数にした。
	
	[対応更新] 携帯のIPアドレス帯域を更新した。
	
	[修正] read.phpのパスで、$_conf['read_php']が利用されていなかった箇所があったのを修正した。
	[修正] キャッシュファイルのパスにエンコードを加えた。
	[修正] PHPのnoticeの発生箇所があったのをずいぶん減らした。

	[仕様変更] DAT倉庫を表示する時の、スレッド情報の取り扱い数を1000件までに制限した。 
	[仕様変更] 書き込み時の追加ヘッダ p2-Client-IP を X-P2-Client-IP に変更した。
	[仕様変更] 書き込み時の追加ヘッダ X-P2-Client-Host を加えた。
	
	[内部変更] 定数 P2_LIBRARY_DIR を P2_LIB_DIR に変更した。
	
	[修正] JavaScript(D&D)によるお気に板の並び替えで、
	  アドレスに@が含まれている時、正常に処理されていなかったバグを修正した。
	[修正] Winサーバでの利用時、data/tmp に一時ファイルのゴミが残るおそれがあったのを修正した。
	[修正] 携帯でレスフィルタした時に、省略前の名前にはマッチしないようにした。

	[感謝] JSライブラリのyui-extを導入しました。http://www.yui-ext.com/

	- 新しく追加されたファイル
		style/title_css.inc
		js/yui-extディレクトリ以下
		js/readheadbar.js
	
	- 変更のあったファイルは多数、ほとんど全てのファイル。

2006-11-12 aki
	* rep2 version 1.8.9

	[新機能] アンカーボムの荒らし対策を拡張し、リンク変換全般において対策を行うようにした。
	
	[修正] 携帯で、壊れた名前文字の後の表示が、全て灰色になってしまうことがあったバグを修正した。
	
	[修正] いつの頃からか、マルチバイトの正規表現が無効な環境だと、
	  スレ内容表示で、フィルタ表示が正常にできないバグがあったかもしれないのが直っただろう。
	  
	[改良] 書き込みログの表示処理を最適化した。
	[改良] 携帯TOPメニューの書き込みログにもショートカットキー(#)をつけた。 
	[改良] 携帯TOPページに板検索と直接スレ指定のフォームを追加した。

	- 変更のあったファイル
		first_cont.php
		info.php
		menu_k.php
		read.php
		read_res_hist.php
		subject.php
		conf/conf.inc.php
		lib/BbsMap.class.php
		lib/StrSjis.php
		lib/brdctl.class.php
		lib/index_print_k.inc.php
		lib/menu.inc.php
		lib/p2util.class.php
		lib/read_res_hist.inc.php
		lib/res_hist.class.php
		lib/sb_print.inc.php
		lib/showthread.class.php
		lib/showthreadk.class.php
		lib/showthreadpc.class.php
		lib/strctl.class.php
		lib/thread.class.php

2006-11-04 aki
	* rep2 version 1.8.8
	
	[対応] ●ログインできない問題に対応した

	- 変更のあったファイル
		conf/conf.inc.php

2006-10-26 aki
	* rep2 version 1.8.7
	
	[更新] auのIPアドレス帯域を更新した

	- 変更のあったファイル
		conf/conf.inc.php
		lib/hostcheck.class.php

2006-10-26 aki
	* rep2 version 1.8.6
	
	[更新] auのIPアドレス帯域を追加更新した
	[修正] auでエラー時のメッセージが一部表示されなかったのを、表示されるようにした。
	
	- 変更のあったファイル
		edit_conf_user.php
		conf/conf.inc.php
		lib/hostcheck.class.php
		lib/p2util.class.php

2006-10-26 aki
	* rep2 version 1.8.5
	
	[バグ修正] お気に板の並び替えができなくなっていたのを修正した。
	[バグ修正] p2 DATサイズの適合チェックが機能しなくなっていたのを修正した（v1.8.0-）
	[改良] HTMLポップアップの×の位置をマウスカーソルのすぐ下に来るようにした。
	  また、そこらへんをクリックしてもHTMLポップアップが消えるようにした。
	[調整] wikipediaは、フレームをクリアしてしまうので、pしないようにした
	
	- 変更のあったファイル
		editfavita.php
		read_new.php
		conf/conf.inc.php
		js/htmlpopup.js
		lib/filectl.class.php
		lib/read_header.inc.php
		lib/setfavita.inc.php
		lib/showthreadpc.class.php
		lib/threadread.class.php

2006-10-24 aki
	* rep2 version 1.8.4
	
	[バグ修正] お気に板の編集で、板名が「1」になってしまっていたバグを修正した
	
	- 変更のあったファイル
		conf/conf.inc.php
		lib/setfavita.inc.php

2006-10-23 aki
	* rep2 version 1.8.3
	
	[バグ修正] 書き込みができないバグを修正した
	[バグ修正] ユーザ設定編集を保存すると、b=kを抜けてしまっていたのを修正した
	
	- 変更のあったファイル
		edit_conf_user.php
		post.php
		conf/conf.inc.php
		lib/p2util.class.php

2006-10-23 aki
	* rep2 version 1.8.2
	
	[バグ修正] 携帯でスレ一覧のリンク先がおかしかったのを修正
	[バグ修正] 書き込み後にb=kの携帯表示がPC表示になっていたのを修正
	[新機能] ●書き込みの状態を記憶するようにした。
	[対応] 写の時もBEポイントの表示に対応しました。 
	
	- 変更のあったファイル
		edit_conf_user.php
		index.php
		info.php
		post.php
		read.php
		read_copy_k.php
		read_new.php
		subject.php
		title.php
		conf/conf.inc.php
		conf/conf_user_def.inc.php
		lib/brdmenu.class.php
		lib/dataphp.class.php
		lib/filectl.class.php
		lib/login2ch.inc.php
		lib/menu.inc.php
		lib/p2util.class.php
		lib/post_form.inc.php
		lib/post_options_loader.inc.php
		lib/read_header.inc.php
		lib/sb_header.inc.php
		lib/sb_print_k.inc.php
		lib/showthread.class.php

2006-10-19 aki
	* rep2 version 1.8.1
	
	[バグ修正] ユーザ設定編集で保存できなったバグを修正した。（1.8.0-）
	[新機能] YouTubeのリンクをプレビューできるようになった。（ユーザ設定 link_youtube）
	
	- （意味のある）変更があったファイル
		conf/conf.inc.php
		conf/conf_user_def.inc.php
		edit_conf_user.php
		showthreadpc.class.php
	
2006-10-18 aki
	* rep2 version 1.8.0
	
	[新機能] アンカーボム対策を施した。
	[新機能] 書き込み途中の内容を自動でクッキー保存するようにした。
	 うっかりページを閉じてしまっても、同じスレを開くと書きこみかけの内容が復帰できたりします。
	[新機能] 携帯のスレッド一覧（板表示）から初めてのスレを開く時の表示方法を追加した (ﾌﾟﾚﾋﾞｭｰ>>1, 1からN件表示, 最近N件表示)
	 	ユーザ編集設定 k_sb_show_first
	[新機能] 携帯でのフィルタリングでマッチしたキーワードの色の追加した（拡張パックより）
	 	ユーザ編集設定 mobile.match_color
	[新機能] 携帯でのスレッド閲覧時、重複しないIDは末尾のみの省略表示をできるようにした。
	 	ユーザ編集設定 k_clip_unique_id
	[新機能] 携帯でのスレッド閲覧時、ID末尾の"O"に下線を追加できるようにした（拡張パックより）
	 	ユーザ編集設定 mobile.id_underline
	[新機能] 複数のレス番を持つスレのURLに対応した。
	[改良] その他、携帯の表示をいろいろ見やすく改良した。
	[改良] ファイルデータの保存処理を改良調整した。
	[改良] カキコフォームのびーるのJavaScript処理が重くならないように調整した。
	[バグ修正] メール欄のデフォルトをsageにしていると、メール欄無記入で書き込み失敗した時、
	 名前や本文は復帰するが、メール欄はsageに戻っていたのを修正した。
	[修正] rep2設置URLにポート番号を指定した時、正常にページ遷移できないことがあったのを修正した。
	[2ch仕様対応] Beの板移転に対応した。
	[更新] wilcomとauのIPアドレス帯域を更新した。
	[その他] いろいろ細かい更新やコードの調整
	
	- 変更のあったファイルはほぼ全て
	- 新規追加ファイル lib/StrSjis.php
	
2006-05-27 aki
	* rep2 version 1.7.29
	
	[2ch仕様対応] 2chの仕様変更 hana mogera に対応し、書き込み時に確認から次へ進めない症状を解決した。
	※前バージョンで対応できていなかったので、今度こそ対応した
	
	- 変更のあったファイル
		conf/conf.inc.php
		post.php

2006-05-27 aki
	* rep2 version 1.7.28
	
	[2ch仕様対応] 2chの仕様変更 hana mogera に対応し、書き込み時に確認から次へ進めない症状を解決した。
	[バグ修正] URLリンクのマッチで副作用が出るので、ノートンの誤反応対策エスケープを外した
	
	- 変更のあったファイル
		conf/conf.inc.php
		lib/showthreadpc.class.php
		post.php

2006-05-19 aki
	* rep2 version 1.7.27

	[バグ修正] 書き込みログを削除できなかったのを修正
	[バグ修正] スレタイに「'」が入っているスレを開くとJavaScriptのエラーになっていたのを修正
	[改良] 検索の時（IDフィルタ時を含む。つまり、クエリー word がある時） は、既読ポイントを更新しないようにした
	[改良] 携帯でスレ表示時の「3.新XX」にキャッシュ回避用のダミークエリーをつけた
	[改良] 「*」もURL判定文字列として加えた
	
	- 変更のあったファイル
		conf/conf.inc.php
		info.php
		lib/index_print_k.inc.php
		lib/login.class.php
		lib/menu.inc.php
		lib/p2util.class.php
		lib/read_footer.inc.php
		lib/read_footer_k.inc.php
		lib/read_header_k.inc.php
		lib/res_hist.class.php
		lib/session.class.php
		lib/showthread.class.php
		lib/showthreadpc.class.php
		read.php
		subject.php

2006-05-02 aki
	* rep2 version 1.7.26
	
	[新機能] 似スレ機能を追加した。（機能拡張パックより Thanks! rskさん）
	[新機能] 携帯閲覧時、「写」のコピー用テキストボックスを分割できるようにした。（設定で文字数を指定）
	[改良] flex_idpopup IDポップアップの設定をユーザ設定編集からできるようにした。
	[修正] 新規スレッド作成時のサブウィンドウでスクロールバーが出なかったのを、出るようにした。
	[修正] 携帯で、お気に入りの新着でソート方法を変更したり次のページへ移動すると､新着0のレスも表示されるのを修正した。
	[修正] ノートン対策でDATの ' と " をエスケープするようにした。
	[改良] 書き込んだレス番号も（アバウトながら）記録するようにした。
	      「書き込んだレスの記録」のスレタイトルをクリックすると、
	       だいたい自分が書き込んだ位置辺りから表示するようになった。
	[改良] 携帯からも書き込みログを削除できるようにした。
	
	- 変更のあったファイル
		conf/conf.inc.php
		conf/conf_user_def.inc.php
		editfavita.php
		editfile.php
		edit_conf_user.php
		js/post_form.js
		lib/login.class.php
		lib/login_first.inc.php
		lib/menu.inc.php
		lib/post_options_loader.inc.php
		lib/read_header.inc.php
		lib/read_header_k.inc.php
		lib/read_res_hist.inc.php
		lib/res_hist.class.php
		lib/sb_footer.inc.php
		lib/sb_footer_k.inc.php
		lib/sb_header.inc.php
		lib/sb_header_k.inc.php
		lib/sb_print.inc.php
		lib/sb_print_k.inc.php
		lib/showbrdmenuk.class.php
		lib/showbrdmenupc.class.php
		lib/showthread.class.php
		lib/showthreadpc.class.php
		lib/thread.class.php
		login.php
		login2ch.php
		menu_k.php
		post.php
		read_copy_k.php
		read_filter_k.php
		read_new.php
		read_res_hist.php
		subject.php
		viewtxt.php
		
2006-03-07 aki
	* rep2 version 1.7.25
	
	[新機能] 携帯で「写」機能を実装。（rep2機能拡張パックより。感謝！→rskさん）
	[改良] flex_idpopup IDポップアップの設定をユーザ設定編集からできるようにした
	[修正] date_default_timezone_set() でタイムゾーンを設定するようにした。
	  （PHP 5.1でタイムゾーンのエラー警告が出ることがあったのを修正）
	[修正] 携帯のスレッド一覧表示で、次の表示件数が残り一件の時に 
	  「次」のページへのリンクが表示されなかったのを修正した。
	
	- 新規追加ファイル
		read_copy_k.php
	
	- 変更のあったファイル
		conf/conf.inc.php
		conf/conf_user_def.inc.php
		doc/ChangeLog.txt
		edit_conf_user.php
		lib/read_footer.inc.php
		lib/read_footer_k.inc.php
		lib/read_header.inc.php
		lib/sb_footer_k.inc.php
		post_form.php
		read.php
		read_new.php
		read_new_k.php

2006-03-01 aki
	* rep2 version 1.7.24

	[改良] カキコフォーム伸びーる＆縮ーむを少し改良した
	
	- 変更のあったファイル
		conf/conf.inc.php
		js/post_form.js
		
2006-03-01 aki
	* rep2 version 1.7.23

	[修正] subject.txt, SETTING.TXTの取得でプロキシが効いていなかったのを修正した。
	[修正] プロキシの設定をユーザ設定編集から変更できるようにした。
	[修正] c.2chへの元スレリンクで、レス指定のl数字は(l200など)は、nと指定するようにした。
	[新機能] カキコフォーム伸びーる＆縮ーむを実装した。
	
	- 変更のあったファイル
		conf/conf.inc.php
		edit_conf_user.php
		js/post_form.js
		lib/BbsMap.class.php
		lib/p2util.class.php
		lib/post_form.inc.php
		lib/read_footer.inc.php
		lib/SettingTxt.php
		lib/SubjectTxt.class.php
		lib/thread.class.php
		read_new.php
		
2006-02-27 aki
	* rep2 version 1.7.22
	
	[修正] DoCoMoで固有端末認証ができていなかったのを修正した
	[修正] mozillaで情報画面のタイトルが文字化けして、色が変になることがあったらしいのを修正した
	[改良] 携帯閲覧時は、デフォルトの名無し名を表示しないようにした（設定可）
	[内部変更] データファイル conf_user.inc.php を conf_user.srd.cgi に変更した
	
	- 新規追加ファイル
		lib/SettingTxt.php
		
	- 変更のあったファイル
		conf/conf.inc.php
		conf/conf_admin.inc.php
		conf/conf_user_def.inc.php
		editfile.php
		editpref.php
		edit_conf_user.php
		info.php
		lib/dataphp.class.php
		lib/login.class.php
		lib/login_first.inc.php
		lib/post_form.inc.php
		lib/post_options_loader.inc.php
		lib/read_footer_k.inc.php
		lib/read_header.inc.php
		lib/showthreadk.class.php
		lib/strctl.class.php
		lib/SubjectTxt.class.php
		lib/threadread.class.php
		read.php
		subject_new.php

2006-02-23 aki
	* rep2 version 1.7.21
	
	[改良] レスポップアップに表示遅延が働くようにした
	
	- 変更のあったファイル
		conf/conf.inc.php
		js/respopup.js
	
2006-02-21 aki
	* rep2 version 1.7.20

	- [修正] ドラッグアンドドロップによるお気に板の並び替え後のメニューのリロードのタイミングを修正した
	
	- 変更のあったファイル
		editfavita.php
		conf/conf.inc.php
		lib/setfavita.inc.php
		
2006-02-21 aki
	* rep2 version 1.7.19

	- [修正] ドラッグアンドドロップによるお気に板の並び替えがFirefoxで動作しなかったのを修正した
	
	- 変更のあったファイル
		editfavita.php
		conf/conf.inc.php
		
2006-02-21 aki
	* rep2 version 1.7.18
	
	- [改良] お気に板の並び替えをドラッグアンドドロップで行えるようにした
	  （ライブラリ公開感謝 → Yahoo! User Interface Library）
	  
	- [バグ修正] 無効な書き込みが無効になっていなかったのを修正した
	
	- 新規追加されたファイル
		js/yui/YAHOO.js
		js/yui/dom.js
		js/yui/dragdrop.js
		js/yui/event.js
		js/yui/log.js
		js/yui/ygDDList.js
		js/yui/ygDDMy.js
		js/yui/ygDDMy2.js
		js/yui/ygDDOnTop.js
		js/yui/ygDDPlayer.js
		js/yui/ygDDSwap.js
		
	- 変更のあったファイル
		editfavita.php
		post.php
		conf/conf.inc.php
		lib/menu.inc.php
		lib/p2util.class.php
		lib/setfavita.inc.php
		style/editfavita_css.inc

2006-02-20 aki
	* rep2 version 1.7.17
	
	- [改良] お気に板の並び替えをJavaScriptで行えるようにした
	  （パッチ感謝 → ysanoさん）
	  
	- 新規追加されたファイル
		js/order.js
		
	- 変更のあったファイル
		editfavita.php
		conf/conf.inc.php
		lib/setfavita.inc.php
		style/editfavita_css.inc
		
2006-02-20 aki
	* rep2 version 1.7.16
	
	- [修正] BbsMapの取得タイムアウトが長かったのと、取得失敗時にキャッシュインターバルが効かなかったのを修正
	  （パッチ感謝→rskさん）
	  
	- 変更のあったファイル
		conf/conf.inc.php
		lib/BbsMap.class.php
		
2006-02-18 aki
	* rep2 version 1.7.15
	
	- [修正] お気に板で正常に表示されないことがあったのを修正（感謝→p2スレpart31の>>562さん）
	  
	- 変更のあったファイル
		conf/conf.inc.php
		lib/showbrdmenupc.class.php
		
2006-02-18 aki
	* rep2 version 1.7.14
	
	- [更新] willcomのIPアドレス帯を更新した（感謝→p2スレpart31の>>551-552さん）
	  
	- 変更のあったファイル
		conf/conf.inc.php
		lib/hostcheck.class.php
		
2006-02-18 aki
	* rep2 version 1.7.13
	
	- [改良] ホストの移転を自動追尾するようになった。rskさんのグレートなパッチを適用。感謝。
	- [変更] VodafoneでDIRECTKEYは使わず、accesskeyを使うようにした
	
	- 新規追加されたファイル
		lib/BbsMap.class.php
		
	- 変更のあったファイル
		editfavita.php
		editpref.php
		info.php
		title.php
		conf/conf.inc.php
		lib/SubjectTxt.class.php
		lib/p2util.class.php
		lib/sb_print.inc.php
		lib/threadread.class.php
		
	- 削除されたファイル
		lib/syncfavita.inc.php
		lib/syncindex.inc.php
		
2006-02-17 aki
	* rep2 version 1.7.12
	
	- [修正] ログイン画面でDoCoMoの端末認証用のURLが表示されないことがあったバグを修正

2006-02-16 aki
	* rep2 version 1.7.11
	
	- [修正] 書き込み履歴を解除できないバグを修正した。
	- [変更] 403でHTML文を出力した時に、出力したHTML文を表示しない携帯があるそうなので、一部、403で出力しないようにした。
	- [変更] 新着まとめ読みの続きがあるかどうかが分からない場合は、「更新/続き」と併記するようにした。
	
2006-02-16 aki
	* rep2 version 1.7.10
	
	- [修正] Windowsサーバで利用している場合、rename() でファイルを上書きできないそうなので、これに対応修正した。

2006-02-15 aki
	* rep2 version 1.7.9
	
	- 新しく PEAR の File を利用するようになりました。

	- PEAR の File_Util を利用して確実に絶対パスを取得できるようにした。
	  （conf/conf.inc.php） patchありがとう! > rskさん

	- 変更のあったファイル
		conf/conf.inc.php
		
2006-02-15 aki
	* rep2 version 1.7.8
	
	今回から新しく PEAR の HTTP/Request.php と Pager を利用しています。

	- [改良] 書き込んだレスをページを分割して表示するようにした（PEARのPager）
	- [改良] port番号のついているURLに設置しても動くように改良修正した。
	- [改良] 検索時に全角/半角の区別を完全に吸収するようにした
	- [更新] willcomのIP帯域を更新（lib/hostcheck.class.php）
	- [修正] 携帯の情報画面のコピペフォームで、au端末で選択すると、
	  URLが消えてしまうことがあったのを修正（p2スレ27の>>444）
	- [修正] sb_header_k.inc.php で $word がサニタイズされていなかったのを修正
	- [修正] 携帯から●書き込みができないことがあったバグを修正
	  （lib/post_options_loader.inc.php）
	- [修正] input checkboxのvalue値が抜けていたのを修正
	  （ブラウザによっては "on" となるが、ブラウザによっては、値がなくなってしまう）
	- [仕様変更] SubjectTxt.class.php で PEAR の HTTP/Request.php を採用した

	- 新規追加されたファイル
		conf/.htaccess

2005-07-11 aki
	* rep2 version 1.7.7
	
	- [仕様変更] PEARのPHP_Compatが必要になった
	- [バグ修正] Fatal error: Call to undefined function: scandir()
	  というエラー表示が出て、不要ファイルの自動破棄ができないことがあったの修正
	- [改良] 携帯でスレ情報にコピペフォームをつけた
	- [仕様変更] VodafoneのIP帯域を追加した
	- [仕様変更] 携帯の元スレリンクを微調整

2005-07-01 aki
	* rep2 version 1.7.6
	
	- [バグ修正] $_conf['disable_res'] が二つあったのを修正（conf_admin.inc.php）

2005-06-29 aki
	* rep2 version 1.7.5
	
	- [修正] PHPのセッションで、HTTPヘッダによるキャッシュコントロールをしないように調整した。
	  DoCoMoでページを戻ると、更新されてしまうのが直った。

	- [バグ修正] b=kで携帯モードにしているとき、書き込んだ後にCookie確認があると、
	  モード指定が解除されてしまっていたのを修正した

	- [修正] 携帯でbbspinkの元板へのリンクを修正した

	- [仕様変更] cookieの保存場所をp2で管理するように変更した（拡張パック取り込み。感謝）
	  （PHPデフォルトにも設定可能）

	- [新規設定追加] $_conf['data_dir'] を追加（conf_admin.inc.php）
	- [新規設定追加] $_conf['session_save'] を追加 （conf_admin.inc.php）
	- [内部仕様変更] $_conf['admin_dir'] を追加（conf.inc.php）
	- [内部仕様変更] $_conf['cache_dir'] の値を変更（conf.inc.php）

	- [内部仕様変更] p2_bbq_burned.txt, p2_bbq_passed.txtの保存場所を、
	  $_conf['pref_dir'] から $_conf['admin_dir'] に変更。

	- 他こまごま

2005-06-24 aki
	* rep2 version 1.7.4
	
	[バグ修正] 携帯用表示で、正しく表示されないことがあったのを修正

2005-06-24 aki
	* rep2 version 1.7.3
	
	- [新機能] (p)を画像で表示できるようになった。ユーザ設定で。（拡張パックより。感謝）
	- [改良] 携帯のIPチェックで、jigを通すようにした。

2005-06-23 aki
	* rep2 version 1.7.2
	
	[修正] ●ログインできるようにした
	[バグ修正] precede_phpcurl の設定表示が、逆になっていたのを修正
	
2005-06-22 aki
	* rep2 version 1.7.1
	
	- [バグ修正] DoCoMoからアクセスするとエラーが出ていたのを修正
	  指摘感謝 → p2スレ26 >>693

	- [修正更新] IP帯域の設定をアップデートした（拡張パックより。感謝）
	- [仕様変更] Air H"はUA⇔IPチェックの対象から外してみた
	- [仕様変更] 携帯のスレ一覧でのソート変更のUIを変更（拡張パックより。感謝）

2005-06-22 aki
	* rep2 version 1.7.0
	
	名前が、rep2（リピート）になった。
	rep2は、p2の延長線上にあり、p2よりもセキュアになってます。

	- 設定について
	
	  データ保存ディレクトリとセキュリティ機能の設定は、conf/conf_admin.inc.php で。
	  （デフォルトでは、指定されたホスト以外はアクセスできなくなっています）
	  ホストチェックの詳細設定は、conf/conf_hostcheck.php で。
	  デザイン設定は、conf/conf_style.inc.php で。
	  その他のユーザの設定は、ログイン後の「設定管理」＞「ユーザ設定編集」で。

	  ※conf/conf_user.inc.php は廃止されました。
	  ※conf.inc.php, conf_style.inc.php はWeb上から編集できなくなりました。
	  （conf_style.inc.phpの方はそのうち対応予定）

	- ログインユーザについて
	
	  最初のログイン時のみ、新規ユーザ登録となります。
	  今回、改めて新規登録が必要になりますが、
	  ユーザデータは以前のものがそのまま引き継がれます。

	  パスワードを忘れたりして、認証ユーザ情報を初期化したい場合は、
	  データ保存ディレクトリの p2_auth_user.php を手動で削除してください。

	- [新機能] ログイン管理にセッションを導入（Basic認証は廃止）
	- [新機能] ホストチェック、BBQ導入（拡張パックより）
	- [改良] edit_conf_user.php の導入
	- [改良] 書き込みの可否を設定できるようになった　conf_admin.inc.php
	- [改良] ログイン失敗ログを残すようになった
	- [改良] passwordのハッシュ化をsha1に変更
	- [内部仕様変更] cookieの仕様を変更

	- [対応修正] したらばで書き込み後の移動が変になっていたのに対応修正
	- [バグ修正] お気にスレや殿堂スレで、同じkeyの別スレを登録できなかったのを修正
	  指摘感謝 → p2スレ26 >>474
	- [バグ修正] beのリファラで、test/read.cgi/が抜けていたのを修正

	- [仕様変更] be.2ch.netのsubject.txtは保存時に文字コード変換するようにした
	  移行直後は古いキャッシュが残って、be.2ch.netのスレ一覧が文字化け表示する場合があります。

	- ホストチェック、BBQなど、拡張パックさんのコードを取り込ませてもらってます。感謝。

2005-06-07 aki
	* p2 version 1.6.7
	
	- [改良] PEAR の Net_UserAgent_Mobile がインストールされていない時は、その旨をエラー表示するようにした
	
	* conf/conf.inc.php
	
2005-06-07 aki
	* p2 version 1.6.6
	
	- [改良] 板検索を、ディレクトリ名(例:operate)でもマッチするようにした
	- [改良] Beポイントを送る時のリファラをレス番号まで含めるようにした

	- [内部整理] subject.txtの取り扱いをクラス化して整理した

	- 新規ファイル
		lib/SubjectTxt.class.php

2005-06-04 aki
	* p2 version 1.6.5
	
	- [バグ修正] 携帯で本文中のIDが正常に表示されなかったのを修正
	- [仕様変更] 携帯のIDリンクの表示を控えめにした。
	  （「ID:XXXXXX(N)」のN部分をリンクにした）
	- [仕様変更] 板メニューの検索を、正規表現から、and検索に変更した
	- 他細かく

	- 変更のあったファイル
		menu_k.php
		conf/conf.inc.php
		lib/brdctl.class.php
		lib/brdmenu.class.php
		lib/menu.inc.php
		lib/sb_header_k.inc.php
		lib/showbrdmenuk.class.php
		lib/showbrdmenupc.class.php
		lib/showthreadk.class.php
		lib/strctl.class.php

2005-06-03 aki
	* p2 version 1.6.4
	
	- [バグ修正] スレ一覧の検索条件で「すべて」が機能していなかったのを修正した
	
	- 変更のあったファイル
		subject.php
		conf/conf.inc.php
	
2005-06-03 aki
	* p2 version 1.6.3
	
	- [新機能] 携帯のスレ内容表示で検索（フィルタリング）できるようになった。
	  （拡張パックより。感謝）
	- [仕様変更] 携帯の次X件の表示数を再度調整して戻した（実質+1件の表示になる）

	- 新規追加されたファイル
		read_filter_k.php
		lib/read_filter_k.inc.php
		
	* read.php
	* read_filter_k.php is new
	* conf/conf.inc.php
	* lib/read_filter_k.inc.php is new
	* lib/read_footer_k.inc.php
	* lib/read_header_k.inc.php
	* lib/showthread.class.php
	* lib/showthreadk.class.php
	* lib/showthreadpc.class.php
	* lib/threadread.class.php

2005-05-30 aki
	* p2 version 1.6.2

	- [バグ修正] loginfirst.inc.php でエラーが出るのを修正した THX! p2スレ23 >>519

	- 変更のあったファイル
		conf/conf.inc.php
		lib/login_first.inc.php

2005-05-29 aki
	* p2 version 1.6.1
	
	- [バグ修正] dat保存ディレクトリと初期設定保存ディレクトリを別々に設定していると
	  エラーが出ていたのを修正
	- [バグ修正] loginfirst.inc.php でエラーが出るのを修正できたかもしれない

2005-05-29 aki
	* p2 version 1.6.0
	
	- [新機能] スレ一覧で、取得済みDATの本文を検索できるようになった
	
	- [新機能] スレッド移動のgoボタンを付けた。（拡張パックより。THX!）
	- [改良] Net_UserAgent_Mobileを導入した。最近のvodafoneに対応できたかもしれない。
	  （拡張パックより。THX!）
	- [改良] 携帯の書き込みフォームの大きさを少し調整した

	- [改良] データディレクトリに .htaccess がなければ、
	  アクセス拒否用の .htaccess を自動生成するようにした。（Modified: index.php）
	  .htaccess の中身は、
	      Order allow,deny
	      Deny from all
	  となっている。ただし、.htaccess は サーバの設定次第で、機能しない場合もあるので、
	  過信しないこと。
	  また、libディレクトリには、この .htaccess が最初から置かれています。

	- [仕様変更] Pear の Net_UserAgent_Mobile が必要になった。

		Net_UserAgent_Mobile が、サーバにインストールされていない場合は、
		pearコマンドを使って、自分でサーバにインストールするか、
		p2のディレクトリに includes ディレクトリを作成し、
		その中にネットからダウンロードしてきたファイルを入れてやるとOKです。

		pear install でサーバにインストールする場合、Net_UserAgent_Mobile は現在betaなので、
		betaでもインストールできるように、
		pear install -f Net_UserAgent_Mobile
		と -f オプションをつけて、コマンドを打つとよいかも。

		includesディレクトリで利用する場合は、
		拡張パックさんの p2pear がそのまま使えます。
		http://moonshine.s32.xrea.com/

	- [仕様変更] $datdir を $_conf['dat_dir'] と $_conf['idx_dir'] に分けた
	- [仕様変更] サブジェクト検索のデフォルトを「正規表現」から「いずれか」に変更した

	- [内部仕様変更] 書き込みログの形式を変更。（以前の形式に戻した）
	  自動で変換します。変換前の古いファイルは、.bakで残しています。

	- [内部仕様変更] DataPhp::writeDataPhp() と DataPhp::putDataPhp() の
	  引数を取る順番が変わったので注意

	- [内部仕様変更] 拡張パックにあわせて、lib ディレクトリを追加し、
	  ソースツリー構造が変更された。
	
	- 他いろいろ
	- 今回は、ほとんど全てのPHPファイルが変更された

2005-05-27 aki
	* p2 version 1.5.29
	
	- [修正] v1.5.28のアーカイブで threadread.class.php のアクセス権がおかしかったのを修正

2005-05-27 aki
	* p2 version 1.5.28
	
	- [バグ修正] 携帯で最新X件数表示が、一つ前のレスまでしか表示されていなかったのを修正

	- 変更のあったファイル
		threadread.class.php
		conf/conf.inc.php

2005-05-27 aki
	* p2 version 1.5.27

	- [改良] スレ一覧からのログ削除もAjaxで行えるようにした
	- [仕様変更] >>a-b のリンクは(p)表示をしないようにした
	- 拡張パックさんのコードをちょこちょこ入れてます。THX!

2005-05-26 aki
	* p2 version 1.5.26

	- [バグ修正] 複数のスレッドあぼーんが同時に解除された時に、
	  データが大きくなってしまうバグを修正
	  （v1.5.24, v1.5.25 を利用している方は必ずアップデートしてください）

	- [バグ修正] 履歴削除で最後の一つが消せなかったのを修正

	- [改良] スレ一覧からのお気に★追加/削除処理をajaxで行えるようにした

	- 新規ファイル
		js/setfavjs.js
		js/delelog.js

2005-05-21 aki
	* p2 version 1.5.25

	- [バグ修正] DATが過去ログ倉庫にあるときなどの表示が正常にされなかったのを修正

2005-05-19 aki
	* p2 version 1.5.24
	
	- [バグ修正] 携帯で板検索結果が表示されなかったバグを修正
 
	- [改良] DAT読み込み時に、iframeを削除するようにした。THX! → rskさん

	- [改良]  2chの携帯の元スレへのリンクに、デフォルトのメール指定が入るようにした
	  例) http://c.2ch.net/test/-!mail=sage/phs/1109405598/ 

	- [内部変更] ignore_user_abort()を全体にかけず、ピンポイントで設定するようにした

	- 他いろいろ

	- 新規ファイル
		getsetposlines.inc.php

2005-05-09 aki
	* p2 version 1.5.23

	- [バグ修正] 携帯表示時の「略」がたまにリンク表示されていなかったのを修正
	- [バグ修正] スレ一覧で板名の表示が日本語で登録できないことがあったのを修正
	- [改良] 設定で編集できないファイルのボタンを、disable表示にした。（拡張パックより THX!→rskさん）
	- 他こまかく

2005-05-07 aki
	* p2 version 1.5.22
	
	- [バグ修正] 書き込み終了後に、間違ったエラー表示がされていたのを修正

2005-05-07 aki
	* p2 version 1.5.21
	
	- 環境によっては、新着まとめ読みのキャッシュができなかったのを修正したつもり
	- 内部変更いろいろ。スレッド表示部分において、rskさんのコードを大きくマージしました。THX!

2005-05-07 aki
	* p2 version 1.5.20
	
	- [バグ修正] しらたば、まちBBSでidxが存在して、datが存在しない時に、datの取得が変になっていたのを修正
	  modified: read_shitaraba.inc.php, read_machibbs.inc.php

2005-04-30 aki
	* p2 version 1.5.19
	
	- [新機能] あぼーん/NGワードに正規表現が使えるようになった
	  あぼーん/NGワード登録・編集時に行頭が <regex> となっていると、それ以降の文字列を正規表現として扱う。
	  大文字小文字を区別したくないときは <regex:i> とする。
	  （拡張パックより。THX!→rskさん）

	- [バグ修正] スレッド下部の書き込みフォームで、前回書き込んだ名前とメールが呼び出し表示されなかったのを修正
	- [バグ修正] スレ立て失敗した時に、キャッシュは残るのにタイトルだけ出ないのを修正 

	- 他こまかく。ほんの少し、スレ一覧表示の動作の高速化など。

2005-04-29 aki
	* p2 version 1.5.18
	
	- [バグ修正] 書き込み時に、クッキー確認があると、一部のhidden値が欠落する可能性があったのを修正
	  modified: post.php
	- [バグ修正] フォームのチェックボックスからのcookie認証登録が正常動作していなかったのを修正
	- [バグ修正] 携帯表示で、書き込みフォームにスレッドタイトルが表示されていなかったのを修正
	- [新機能] 書き込み時に2ch●IDの使用を選択できるようになった。
	- [改良] CSRF対策を施した
	- [内部変更] 書き込みフォームまわりの冗長なコードを多少整理した

	- ファイル名変更
		login.inc → login.inc.php
		login_first.inc → login_first.inc.php

	- 新規ファイル
		post_form.inc.php

2005-04-28 aki
	* p2 version 1.5.17
	
	- [修正] フィルタリング時に正規表現を誤認してしまう可能性がある問題を修正
	- [修正] 文字コードの変換を SJIS-win <-> eucJP-win で統一
	- [改良修正] ページの読み込みが完了していない状態でHTMLポップアップができなかったのを修正
	
	今回の変更は全てrskさんのパッチより。THX!

2005-04-25 aki
	* p2 version 1.5.16
	
	- [改良] subjext.txtのDLに失敗した時も、更新間隔を取るようにした
	  modified: p2util.class.php

	- [修正] 携帯で板へのリンクを c.2ch.net に変更修正した
	  modified: sb_header_k.inc.php

	- [内部仕様変更] クライアントから接続を切られても処理を続行するようにした
	  modified: conf.php: ignore_user_abort(1);
	  
	- [内部仕様変更] 関数コール時にリファレンスとして引数を渡さないように改めた

	- 他こまかく

	- ファイル名の変更
		test_first.php → phpinfo.php

2005-04-21 aki
	* p2 version 1.5.15

	- [Bug Fix] ソートで、切り替えた指定が残らないのと、spmodeの時、新着に固定されていたのを修正。
	
	- [新機能] cURLを使わずにOpenSSLで●ログインできるようにした。（拡張パックより） THX! > rskさん
	  $_conf['precede_openssl']
	  ※ただしPHPがバージョン4.3.0以降でconfigureのオプションに--with-opensslを付けてコンパイルされていないといけないので、
	  DSOでopensslを読み込んでいる場合にこの機能を使うとエラーが出るので注意。

2005-04-21 aki
	* p2 version 1.5.14
	
	- [Bug Fix] したらばJBBSの取得ログが崩れていたのを対応修正
	- [Bug Fix] 書き込みした時のクッキー確認で文字化けしないように、Content-Type の header を出力するようにした。
	
	- [新機能] 書き込み時に、ソースコードを崩さないように補正できるオプションが付いた（拡張パックより）great! > rskさん
	  $_conf['editor_srcfix']

	- 新規ファイル
		read_shitaraba.inc.php
		post_options_loader.inc.php

	- 変更されたファイルは多数につき、表記省略

2005-04-21 aki
	* p2 version 1.5.13
	
	- [新機能] 携帯でもソート方法を変更できるようにした
	- [改良] オブジェクトは参照渡しにする方向で調整した
	  （ちょっぴりはやくなって、メモリの負担が軽減したかもしれない）
	- [改良] 明示的にソート方法が変更された場合のみ、ソート方法が変更記録されるように調整した。 
	
2005-04-17 aki
	* p2 version 1.5.12
	
	- [Bug Fix] read_new.php?spmode=recent などで
	  「p2 error: 必要な引数が指定されていません」とエラー表示されていたのを修正
	- [Bug Fix] スレ一覧のsmpodeで、フィルタリング時に強調表示されていなかったのを修正
	- 他、細かな修正など

2005-04-16 aki
	* p2 version 1.5.11
	- [Bug Fix] スレッド情報画面のタイトルが表示されていなかったのを修正
	
2005-04-16 aki
	* p2 version 1.5.10
	
	- [新機能] 新着まとめ読みの前回キャッシュを表示できるようになった（「設定編集」から）
	- [新機能] 携帯閲覧時、パケット量を減らすため、全角英数・カナ・スペースを半角に変換できるようにした
		$_conf['k_save_packet']
	- [Bug Fix] DoCoMoなどでも▼移動が効くように修正した
	- 他、こまごま
	
	- conf系ファイルをconfディレクトリに移動した
		conf.inc.php → conf/conf.inc.php
		conf_user.inc.php → conf/conf_user.inc.php
		conf_user_style.inc.php → conf/conf_user_style.inc.php

	- 新規追加されたファイル
		read_new.inc.php

	- 削除されたファイル
		jcode ディレクトリ以下
	
2005-04-12 aki
	* p2 version 1.5.9
	
	- [新機能] 画像URLの先読みサムネイルを一度に表示する制限数を設定できるようになった
	- [新機能] 板表示のスレッド一覧でのデフォルトのソート指定を設定できるようにした（初期値は勢い） 
		conf_user.inc.php: $_conf['sb_sort_ita']
	- [改良] p2のフィルタ（検索）表示で、全角/半角のどちらでもマッチするように、あまり区別しないようにした
	- [改良] 書き込みログの削除ボタンをページの上部にも付けた
	- [Bug Fix] 書き込み時にクッキー確認があると、BE書き込みが無効になっていたのを修正（THX! rskさん）
	- 他、こまごま

	- ファイル名変更
		read_machibbs.inc → read_machibbs.inc.php
		sb_toolbar.inc → sb_toolbar.inc.php
		sb_toolbar_k.inc → sb_toolbar_k.inc.php
		setfavita.inc → setfavita.inc.php
		settaborn.inc → settaborn.inc.php
		settaborn_off.inc.php → settaborn_off.inc.php
		syncfavita.inc → syncfavita.inc.php
		syncindex.inc → syncindex.inc.php

2005-04-01 aki
	* p2 version 1.5.8

	- [新機能] 書き込み時のデフォルトの名前とメールを設定できるようにした
	- [新機能] 携帯でもお気に板の編集が可能になった
	- [新機能] 携帯のアクセスキーを追加（削除=*、情報=9）

	- [Bug Fix] $_conf['ext_win_target'] の設定が正常に反映されていない箇所があったのを修正
	- [Bug Fix] お気にスレ、殿堂入りから外した時に、リスト順番号が崩れることがあったのを修正
	- [Bug Fix] 書き込みで名前やメールに<>が含まれていると、記録データが崩れていたのを修正

	- [仕様変更] BEで書き込むのボタンをつけた
	- [仕様変更] オンラインの板メニュー指定で、URLの拡張子がcgiのものも、html形式として認識するようにした
	- [仕様変更] 携帯利用時、HTMLのidとnameを両記載するようにした

	- 他いろいろ

	- ファイル名変更
		sb_header_k.inc → sb_header_k.inc.php
		read_footer_k.inc → read_footer_k.inc.php
		read_header_k.inc → read_header_k.inc.php
		sb_footer_k.inc → sb_footer_k.inc.php
		sb_print.inc → sb_print.inc.php
		sb_print_k.inc → sb_print_k.inc.php

	- 新規追加ファイル
		menu.inc.php

2005-03-21 aki
	* p2 version 1.5.7
	- [Bug Fix] 独立したレス書き込みフォームで、記憶された名前やメールが読み込まれていなかったのを修正
	- 他こまごま

2005-03-13 aki
	* p2 version 1.5.6
	- [Bug Fix] ファイル名ミスのため、携帯用ページが表示できなかったバグを修正

2005-03-13 aki
	* p2 version 1.5.5
	- [Bug Fix] ファイル名ミスのため、板メニューなどが表示できなかったバグを修正

2005-03-13 aki
	* p2 version 1.5.4
	
	- [新機能] 携帯閲覧時、外部URLには、通勤ブラウザのリンクをつけた(通)
	- [新機能] 携帯閲覧時、画像URLには、pic.toのリンクをつけた(ﾋﾟ)
	- [新機能] 携帯でも、お気に板登録ができるようになった
	- [新機能] スレッド表示、右肩にお気にスレ情報が表示されるようにした
	- [新機能] Basic認証の必要な板のスレッド読み込みに対応した
	- [改良] 書き込みログの体感表示速度が向上した
	  （新しい書き込みが一番上に表示されるようになった）
	  
	- [Bug Fix] 板検索でHITしても、HITしてないとメッセージ表示されていたバグを修正
	- [Bug Fix] Be IDのポイント送付時のスレッドリファラで、スレッドキーが含まれていなかったのを修正
	
	- [仕様変更] お気にスレ共有をデフォルトオフにした
	- [仕様変更] ログを削除した時は、お気にスレ、殿堂入りからも外れるようにした
	- [内部仕様変更] スレッド.idxにもお気にスレ情報を記録するようにした
	  移行直後は、スレッド右肩でのお気にスレ表示は反映されていない場合があります
	- [内部仕様変更] 2chログインパスワードの暗号化処理を変更

	- [仕様変更] 新着まとめ読みからの投稿は元のフレームorウインドウをリロードしないようにした。（拡張パックより。THX!）
	- [Bug Fix] 本文中で一回しか出てこないIDもポップアップするようにした（拡張パックより。THX!）
	- [Bug Fix] 未来過ぎるレス番号同様、>>0もポップアップしないように（拡張パックより。THX!）

	- ファイル名変更
		brdctl_class.inc → brdctl.class.php
		brdmenu_class.inc → brdmenu.class.php
		index_print_k.inc → index_print_k.inc.php
		setfav.inc → setfav.inc.php
		setpalace.inc → setpalace.inc.php
		showbrdmenuk_class.inc → showbrdmenuk.class.php
		showbrdmenupc_class.inc → showbrdmenupc.class.php

	- 新規追加されたファイル
		httpcmd.php
		md5_crypt.inc.php
	
	- 廃棄されたファイル
		crypt_xor.inc.php
		dele_js.php

2005-03-06 aki
	* p2 version 1.5.3

	- [改善] 書き込みログが多い時の、表示が遅かったのを改善した

2005-03-06 aki
	* p2 version 1.5.2

	- [Bug Fix] レス表示で「次X」のリンク先が正しくなかったのを修正
	- [改良] 書き込みログが多い時の、書き込み時の処理速度を改善

2005-03-05 aki
	* p2 version 1.5.1

	- [改良] スレッドのレス表示を逐次表示にして、大量のレスを表示する時の体感速度を向上した 
	- [改良] レス表示でフィルタ表示した時の、次Xと続きを読むの表示を、
	  ちゃんと最後にヒットしたレスから、表示されるようにした。
	- [改良] 携帯モードでのBE対応を向上
	- [新機能] 単独スレ表示から、フレームで開けるようにした

2005-03-04 aki
	* p2 version 1.5.0
	
	- [新機能] 投稿に失敗した時は、その内容を保存して、次回自動的に呼び出されるようにした。
	  （スレッドごとに記憶される）
	- [新機能] p2imeを#のページ内アンカーにも対応
	- [改良] 新しいread.cgiの仕様変更に対応。（過去ログhtmlを読み込めるように）
	- [改良] Be IDの認識を向上
	- [改良] 名前部分の数字のレス引用変換判定を改良
	- [改良] スレッド一覧でレス数をクリックしてログを削除するとき、すでにdat落ちしているものについては、
	  JavaScriptで確認ダイアログを表示してから削除できるようにした。
	- [改良] スレッド表示（read.php）でログがなかった時は、$_GET['offline']指定でもログ取得を試みるようにした。
	- [改良] メニューのカテゴリー開閉のリンクターゲットを「_self」とした。
	- [仕様変更] PHPのmbstring拡張なしを非サポートとした。mbstring拡張が必須となります。
	- [仕様変更] 携帯のアクセスキーを少し変更した。「新」（3）と「ﾚｽ」（7）
	- [仕様変更] ユーザ設定ファイルのファイル名が変更されています。
	  conf_user.php → conf_user.inc.php、conf_style.inc → conf_user_style.inc.php
	- [仕様変更] conf_user.inc.php で $prefdir → $_conf['pref_dir'] の変更
	
	- [新機能] NGあぼーんを強化
	
	  NGあぼーんの編集で、最新HIT時刻とHIT回数がわかるようになった。
	  書式は、「ワード<TAB>最新HIT時刻<TAB>HIT回数」
	  HIT時刻と回数は、自動で更新されるので、ワード登録の方法は、これまで通りワードのみを記述すればよい。
	
	  $_conf['ngaborn_daylimit'] で設定された期間（デフォルト半年）に、
	  一度もHITしなかったワードは自動で解除するようにした。
	
	  NGあぼーんの内部仕様変更
	  $aborn_words, $ng_words → $ng_aborns
	  $ng_num → $ngaborns_hits
	
	- 他いろいろ、細かな修正
	- 拡張パックさんのコードもいろんなところで取り込ませてもらってます。 THX!
	
	新規追加されたファイル
		dataphp.class.php
		dele_js.php
		ngabornctl.class.php
	
	廃棄されたファイル
		datactl.inc
		read.inc
	
	ファイル名変更
		conf.php → conf.inc.php
		conf_user.php → conf_user.inc.php
		conf_style.inc → conf_user_style.inc.php
		crypt_xor.inc → crypt_xor.inc.php
		dele.inc → dele.inc.php
		login2ch.inc → login2ch.inc.php
		read_footer.inc → read_footer.inc.php
		read_header.inc → read_header.inc.php
		read_res_hist.inc → read_res_hist.inc.php
		res_hist_class.inc → res_hist.class.php
		sb_footer.inc → sb_footer.inc.php
		sb_header.inc → sb_header.inc.php
		thread_class.inc → thread.class.php
		threadread_class.inc → threadread.class.php
		wap.inc → wap.class.php
	
	今回は、ほぼ全てのファイルを更新した。
	逆に、更新していないファイルは、
	style ディレクトリのファイルと、とjsディレクトリの basic.js, post_form.js 以外です。

2005-01-30 aki
	* p2 version 1.4.2

	- [Bug Fix] バージョンチェックの判定処理にバグがあったのを修正

2005-01-30 aki
	* p2 version 1.4.1
	
	- [Bug Fix] スレ内検索で、「メッセージが」の指定が、「全体で」と同じように扱われていたのを修正
	  (modified: showthreadpc_class.inc)
	- バージョンチェックの判定処理を改良
	  (modified: title.php)
	
2005-01-22 aki
	* p2 version 1.4.0
	
	- [Bug Fix] mbstringが無効でSafariを使っているときに、書き込みフォームの表示が
	  崩れていたのを修正
	  (modified: read_footer.inc)
	
	- [仕様変更] スレッド一覧表示が、板表示以外のときは、どんな設定でも>>1を非表示とした。
	  (modified: sb_print.inc)
	  
	- [内部仕様変更] 変数$uaを廃止。$_SERVER['HTTP_USER_AGENT']を直接利用することに。
	  (modified: conf_style.inc, style/style_css.inc)
	
	- 他こまごま

2005-01-22 aki
	* p2 version 1.3.9
	
	- menuのカテゴリ開閉のJavaScriptを微改良
	  (js/showhide.js)
	- 引用文中でもBE ID変換表示するようにした
	  (showthreadpc_class.inc: qRes())
	- レスフィルタリング時に、Warning表示が出ることがあったのを修正。
	  (showthreadpc_class.inc)

2005-01-22 aki
	* p2 version 1.3.8
	
	- メッセージ部分以外もフィルタの色分けがされるようにした。 
	  (modified: showthreadpc_class.inc)
	- 表示範囲の設定処理を調整
	  ($_conf['get_new_res'] = "all" で新規取得スレが表示できなかったバグを修正)

	↓以下は拡張パックでの修正、変更を統合（マージ感謝→rskさん）
	- [Bug] レスフィルタリングの前回フィルタ値キャッシュファイルを作成する際にパーミッションが正しく設定されないバグを修正。
	  (modified: read.php) 
	- [Bug] 「Be.2chのコードを送信」にチェックを入れてポストしたとき、
	  クッキー確認のときもhidden要素でpost_be2ch=1をフォームに含めるように。
	  (modified: post.php) 
	- [その他] read_new.phpでreadNew()関数が$aThreadをリファレンスとして受け取るようにした。

2005-01-22 aki
	* p2 version 1.3.7
	- 携帯でもBE IDを表示できるようにした

2005-01-22 aki
	* p2 version 1.3.6
	- BE IDの表示を改良調整した

2005-01-22 aki
	* p2 version 1.3.5
	- BE ID表示への対応を向上させた （マージ感謝！→rskさん）
	
2005-01-22 aki
	* p2 version 1.3.4
	
	- 新着まとめ読みで一度に表示するレス数にリミットをつけた
	  （conf_user.php:  $_conf['rnum_all_range']）
	- スレ一覧で>>1の表示を設定できるようにした
	  （conf_user.php: $_conf['sb_show_one']）
	- CURLを利用する時、コマンドライン版とPHP関数版のどちらを優先するかを設定できるようにした
	  （conf_user.php: $_conf['precede_phpcurl']）
	- IDフィルタリングポップアップ変換を微改良
	  （本文中のIDで出現数が0のものは、リンク変換しない）
	- URL文字列として「'」を含めないようにした
	- 未読管理の処理を改良した
	- ユーザ設定の変数名を多数変更した（$_conf['xxx']）
	- 他、こまごま

2005-01-09 aki
	* p2 version 1.3.3
	- datを取得できなかった時の表示処理をさらに調整した
	 （古いタイプの表示でも●取得ができるようになった）

2005-01-09 aki
	* p2 version 1.3.2
	- 2chの仕様変更に追随して、datを取得できなかった時の表示処理を調整した
	 （●取得ができるようになった）
	- スレッド一覧で元スレリンクのlsのall指定をなくした

2005-01-03 aki
	* p2 version 1.3.1
	- まちBBSタイプのリンクが表示されなかったのを修正
	- 他、細かく

2005-01-02 aki
	* p2 version 1.3.0
	- お気にスレリストの順番番号が崩れることがあったのを修正
	
2005-01-02 aki
	* p2 version 1.2.9
	- menu_side.php が表示できなかったバグを修正

2005-01-01 aki
	* p2 version 1.2.8
	- 2ch全体での、Be.2ch書き込みに対応
	- 携帯モードの板メニューで検索ができなかったバグを修正

2004-12-31 aki
	* p2 version 1.2.7
	- 携帯モードで板メニューが見られなかったバグを修正

2004-12-31 aki
	* p2 version 1.2.6
	
	- したらば、まちBBSが表示できなかったのを修正
	- filectl_class.inc を filectl.class.php にファイル名変更

2004-12-31 aki
	* p2 version 1.2.5
	
	- IDポップアップの自動リンクを追加（$_conf['flex_idpopup']）
	- レスフィルタの条件に「全体で」を追加
	- したらばの解析処理を調整
	- be.2ch.net のCookie送信処理を修正
	- strctl_class.inc を srtctl.class.php にファイル名変更

2004-12-29 aki
	* p2 version 1.2.4
	- したらばの仕様変更に対応、スレが読めるようになった

2004-12-24 aki
	* p2 version 1.2.3
	- Safariでeditfile.phpが文字化けするのを修正
	- 元スレリンクのls指定が効いていなかったのを修正

2004-12-23 aki
	* p2 version 1.2.2
	- 携帯UA Vodafoneに対応した

2004-12-23 aki
	* p2 version 1.2.1
	- jcode_convert_encoding()の引数を修正

2004-12-23 aki
	* p2 version 1.2.0
	- 検索、フィルタリングを強化
	 （マージ感謝！→rskさん）
	- 一部JavaScriptの警告が表示されることがあったのを修正
	- jcode.phpをセットで同梱（jcodeディレクトリ）
	 （感謝→TOMOさん）

2004-12-22 aki
	* p2 version 1.1.9
	- 複数のスレッドあぼーん登録ができなかったバグを修正
	- 一部JavaScriptの警告が表示されることがあったのを修正

2004-12-13 aki
	* p2 version 1.1.8
	- 携帯モードで、スレッド一覧を表示できなかったバグを修正
	
	* conf.php
	* sb_print_k.inc: タイプミスを修正 $aThread->isKitoku()
	
2004-12-13 aki
	* p2 version 1.1.7
	
	- subject.txtの取得にキャッシュの更新間隔を設定した
	 （conf_user.php: $_conf['sb_dl_interval']）
	- スレッド一覧で、元スレへのリンク表示と勢いの表示を設定できるようにした
	 （conf_user.php: $_conf['sb_show_motothre'], $_conf['sb_show_ikioi']）
	- スレッド一覧で、元スレへのリンク表示を未取得スレのみにした
	- したらば書き込み時に、EUC変換するようにした
	 （半角カナが文字化けすることがあったのを修正）
	- be.2ch.net書き込み時の文字コード変換処理を修正
	- ブラウザ上の設定編集で（edifile.php）safari化けしないようにした。（マージ感謝→rskさん）
	- スレッド情報にdatのサイズも表示するようにした
	- 外部から移行したidxファイルが、部分的にまだ不完全な状態で、お気に入りに追加すると、
	 p2_favlist.idx が壊れてしまう場合があったのを修正
	- スレ一覧ソートのデフォルト設定を変更（spmode時は新着に）
	- 取得できなかったスレは履歴に含めないようにした
	- まちBBS、JBBSでのスレッド取得エラー表示を改良した 
	- threadクラスにisKitoku()メソッドを新規追加、kitokuプロパティを廃止した
	- p2の更新チェックにキャッシュインターバルを設けた
	- （conf.php: $_conf['p2status_dl_interval']）
	- 今回は、idxファイル読み書き時の改行取り扱い処理を、広範に変更しています。
	 （基本的に、読み込み時は改行を外して、書き込み時に改行を追加する）
	
2004-11-30 aki
	* p2 version 1.1.6
	
	- スレッド一覧で元スレへのリンクを追加した。（・）
	- 長過ぎる書き込み時に確認表示が切れることがあったのを修正
	- スレッド一覧のソートのデフォルトを「勢い」に変更

2004-11-30 aki
	* p2 version 1.1.5
	
	- p2imeで、プレビュー(p)は手動転送、それ以外は自動転送の設定を追加
	 （$_conf['through_ime'] = "p2pm";）
	- subject.txtの保存パーミッションを606に変更した
	- >> 引用リンク化処理の調整

2004-11-22 aki
	* p2 version 1.1.4
	
	- レスのすばやさをスレッド下部に表示した
	
2004-11-22 aki
	* p2 version 1.1.3
	
	- be.2ch.netの書き込みに暫定対応

2004-11-22 aki
	* p2 version 1.1.2
	
	- be.2ch.netに閲覧のみ暫定対応
	（DAT保存はEUCで生のまま、読み出し時にSJIS変換）
	- レスのすばやさを表示するようにしてみた
	- mbstring有効時、Safari/KonquerorはUTF-8で投稿することで
	バックスラッシュとチルダが全角になるのを防ぐようにした（\~＼〜）
	（マージ感謝→707さん）
	- 2ch、bbspink.comの携帯用の元スレURLを修正した。
	（http://c.2ch.net/z/-/ から http://c.2ch.net/test/-/ に、bbspink.com は r.i に）
	- PHP5でエラー表示が出るのを修正（brdctl_class.inc）
	- p2がDLしたファイル（キャッシュ等）の基本パーミッションを606に変更
	- 感謝 → みなさん

2004-11-06 aki
	* p2 version 1.1.1
	
	- まちビねっと（MachiBBS.net）に対応
	- 携帯用の元スレを http://c.2ch.net/test/-/ に変更修正した
	- 書き込み時の美乳文字コード判定を追加（拡張パックより）
	- 書き込み時のSafari補正用フォームを追加（拡張パックより）
	- したらばのスレタイ重複に対応修正
	- 透明あぼーんの空白を無くした
	- 新着まとめ読み時のJavaScriptエラーを修正
	- brdctl_class.inc のPHP5での動作不具合を修正
	- ファイルの改行コードをLFに統一修正
	- favicon.icoを同梱した
	- read[_new[_k]].phpを変数化した
		$_conf['read_php'] = "read.php";
		$_conf['read_new_php'] = "read_new.php";
		$_conf['read_new_k_php'] = "read_new_k.php";
	- 他、微修正
	- 感謝 → みなさん

2004-10-26 aki
	* p2 version 1.1.0
	
	- したらば jbbs.livedoor.com 対応
	- ホストの同期機能を追加（拡張パックより統合。感謝→707さん）
	- p2へのログイン情報を記録するようにした（不正アクセス防止）
	- セキュリティ修正 viewtxt.php, editfile.php
	- HTMLヘッダにロボット検索除けコードを追加した
	- クッキー保存の仕様変更
	- 書き込みログの仕様変更
	- 掲示板書き込み時に「p2-Client-IP」を送るようにした
	- 設定を調整した
	- 他、細かな修正

	- クッキーの保存仕様を少し変更しました。クッキー認証を利用していた方は、
	「ログインユーザ管理」の「p2認証ユーザ管理」で改めて「変更登録」してください。

	- 書き込みログの書式とファイル名を変更しました。
	新形式への変換は、書き込みログ閲覧時、または書き込み時に自動的に行われます。
	変換後は、初期設定フォルダに、p2_res_hist.dat.php という新しいファイルが生成されます。
	古い p2_res_hist.dat は不要となりますので、捨ててしまって構いません。

	- 掲示板書き込み時に、p2独自のHTTPヘッダとして、「p2-Client-IP」を掲示板サイトへ送信するようにしました。
	「p2-Client-IP」は、クライアントユーザのIPアドレスを示します。

2004-06-21 aki
	* p2 version 1.0.5
	- したらばURL解釈の正規表現を修正

	* read.php : したらばURL解釈の正規表現を修正
	* showthreadk_class.inc : したらばURL解釈の正規表現を修正
	* showthreadpc_class.inc : したらばURL解釈の正規表現を修正

2004-06-14 aki
	* p2 version 1.0.4
	- 板メニューの解析処理を修正

2004-06-14 aki
	* p2 version 1.0.3
	- ●ログインでのCURL利用処理を改良
		手助け感謝！ → p2スレッドのみなさん
	- したらばのPATH_INFO形式のURLに対応した
		マージ感謝！ → 707さん
	- 細かな設定の調整

	* conf.php : $ktai_res_size, $ktai_ryaku_size, $fsockopen_time_limit
	* login2ch.inc : CURL調整
	* read.php : したらばのPATH_INFO形式のURLに対応
	* showthreadk_class.inc : したらばのPATH_INFO形式のURLに対応
	* showthreadpc_class.inc : したらばのPATH_INFO形式のURLに対応
	* title.php : p2 webを新窓で開くようにした

2003-12-14 aki
	* p2 version 1.0.2
	- JBBS@したらばの新write.cgiに対応
	- まちBBS の machi.to に対応
	- k=1で携帯モードにしている時、レス書き込み後に携帯モードを抜けてしまうのを修正
	- 感謝→2ch p2スレッドの皆さん

2003-07-27 aki
	* p2 version 1.0.1
	- スレの殿堂が表示されなくなっていたバグを修正
	- p2をhttpsで利用している場合、menu.phpが自動更新する際にnot foundとなる問題を修正
		マージ感謝！>184さん
	- 板メニューの自動更新は、「お気に板のみ」をデフォルト設定とした
	- 他、メニュー表示を微修正

2003-07-21 aki
	* p2 version 1.0.0
	- お気にスレ一覧などが表示されなくなっていたバグを修正

2003-07-21 aki
	* p2 version 0.9.9
	- fread関数の仕様変更により、PHP 4.3.2でリモートファイルが正しく取得できない問題を修正
		マージ感謝! > 707さん他
	- プロキシ経由で接続できないことがあったバグを修正
	- 板メニューのお気に板で新着数が表示されるようにした
	- スレッド一覧で、既得スレは表示件数に関わらず表示するようにした（conf_user.phpで設定可）
	- jbbs.shitaraba.comのlink.cgiを外すようにした。
	- スレッド情報ウィンドウに「履歴から外す」を追加
	- 2chログイン後、24時間以上経っていた場合は、自動で再ログインするようにした

2003-05-15 aki
	* p2 version 0.9.8
	- スレッドタイトルで検索ができなかったのを修正

2003-05-15 aki
	* p2 version 0.9.7
	- タイムゾーンの指定形式を再度変更
	- 0.9.6でsb_toolbar.incがなかったのを補完
	
2003-05-15 aki
	* p2 version 0.9.6
	- README.txt等が読めないことがあったバグを修正
	- NGワードにメール欄を追加
	- タイムゾーン指定の形式を変更
	- 他こまごま

2003-05-10 aki
	* p2 version 0.9.5
	- まちBBSで読み込めないスレがあったのを修正
	- ユーザ名、パスワードに"_"を使えるようにした
	- 他こまごま

2003-05-07 aki
	* p2 version 0.9.4
	- ユビキタスp2に新着まとめ読みを付けた。
	- パスワードを暗号化して保存するようにした。
	- URLの引数にk=1を付けると、どんな環境であっても携帯用モードで閲覧できるようになった。
	- ブラウザからNGワードを編集できるようにした。
	- daap://リンクに対応
	- Safari等、ブラウザによっては、returnキーでスレッド一覧の検索ができなかったのを対策。
	- 携帯からスレ立てができるようになった。
	- p2 imeが手動転送に設定対応。
	- mail欄のsageの色分けを修正。
	- 意味なく出力文字をバッファリングしてた箇所があったのを修正した。
	- conf.inc を conf.php に名前変更。
	- 他いろいろ。

2003-04-19 aki
	* p2 version 0.9.3
	- レスポップアップの数が多くなると機能しなくなっていたのを修正
	- mail欄に色を付けられるようになった

2003-04-17 aki
	* p2 version 0.9.2
	- 新着まとめ読みでレスを2重に取得することがあった不具合を修正
	- まれに表示されないレスがあったのを修正
	- プロキシ対応

2003-04-15 aki
	* p2 version 0.9.1
	- 認証中のユーザ表示を分かりやすくした

2003-04-15 aki
	* p2 version 0.9
	- 「ユビキタスp2」携帯端末からのアクセスに対応
	（EZweb, i-mode, J-PHONE,  AirH"PHONE）
	- セキュリティの向上
	- cookieによる認証登録が可能になった
	- データファイルのパーミッションをこれまでより厳格にした
	- 未読数表示アルゴリズムを改善
	- 板サーバへのアクセス頻度を軽減
	- 一部の2chサーバで●IDによるdatの読み込みができなかったのを修正
	- 勢いでソートした時に新着レスのあるスレを優先するようにした（設定変更可）
	- 引用レスの表示のオン、オフを設定できるようにした
		>>710
	- Windowsサーバで改行コード処理の違いから、
		お気にスレ等が正常に処理されなかったことがあったのを修正。
		>>714
	- スクリプト実行制限時間、ネットワーク接続タイムアウト時間に余裕を持たせた。
		>>731-732
	- あぼーんされた書き込み跡の余白を残さないようにした
		>>759
	- 他さまざま

2003-03-25 aki
	* p2 version 0.8.7
	- 内部処理における文字コードを、環境判別して指定するようにした

2003-03-25 aki
	* p2 version 0.8.6
	- 環境によってはエラーが出るため、内部処理における文字コードを明示的に指定するのを中止

2003-03-25 aki
	* p2 version 0.8.5
	- 内部処理における文字コードを明示的に指定するようにした
 	- Winサーバで過去ログ取得時に文字化けすることがあった問題を修正
	- スレッド表示で、「 >-」が「-」と誤変換表示されていたバグを修正

2003-03-06 aki
	* p2 version 0.8.4
	- 1050以上のレスも一括表示できるようになった
 	- ログを削除したスレは、履歴からも削除されるようになった
	- NGワードの対象にIDを追加
 	- Safari v51の文字欠け対策を解除 

2003-02-15 aki
	* p2 version 0.8.3
	- bbspinkでの●IDに対応
	- まれにスレッド表示が、意図せずボールドフォントになってしまうことがあった現象に対策
	- >>n のポップアップで「、」もセパレータとして認識するようになった
	- スレの殿堂の並替で一番上へ移動（▲）をすると項目が消えてしまっていたバグを修正
	- お気にスレ、スレの殿堂の並替表示がトグル可能になった

2003-02-09 aki
	* p2 version 0.8.2
	- 新サーバであぼーん検出ができないことがあったのを修正
	- お気にスレ共有への参加設定が無効になっていたのを修正

2003-02-08 aki
	* p2 version 0.8.1
	- 書き込みの文字列から、英数字が消えてしまうことがあったバグを解消
	- 極端にサイズの大きい過去ログの取り込みにも対応

2003-02-05 aki
	* p2 version 0.8.0
	- subbbs.cgi 経由のスレ立てに対応
	- "ftp://"を"http://"と誤認処理していたのを修正
	- HTMLポップアップ方法のデフォルトを変更

2003-02-04 aki
	* p2 version 0.7.9
	- p2 ime を通すと画像サムネイルが表示されなくなっていたのを修正

2003-02-03 aki
	* p2 version 0.7.8
	- fsockopen のタイムアウト時間を変更

2003-02-03 aki
	* p2 version 0.7.7
	- Safariで表示が崩れることがあった問題に対処
	- 新着まとめ読みでのメモリ使用量を軽減した
	- 旧形式datで "＠｀" → "," の置換がされていなかったのを修正（協力：名無しさん）
	- "tp://"もURLとしてリンク有効化するようにした
	- "()" はURL文字列としてリンク有効化しないことにした
	- 画像サムネイル表示の大きさを設定できるようになった

2003-02-01 aki
	* p2 version 0.7.6
	- 2ちゃんねる旧形式のdat、過去ログに対応（協力：名無しさん）
	- スレッド下部に書き込みフォームを表示できるようにした（$bottom_res_form）
	- 一部、JavaScriptエラーが出ることがあったのを修正
	- Win IE6で常に横スクロールバーが表示されていた問題に対処
	- スレ立ての履歴がkey情報を含めて記録されるようになった
	- クッキーのexpiresを反映処理するようになった
	- その他、通信処理の調整など

2003-01-29 aki
	* p2 version 0.7.5
	- dat倉庫とあぼーん中のスレッドの一覧表示を高速化した
	- スレッドあぼーんリストの、2ちゃんねるサーバ移転に対する追随性を高めた
	- bbspinkのhtml化された過去ログの読み込みに対応
	- ソート条件を変更しても、新スレ強調表示がクリアされないようにした

2003-01-26 aki
	* p2 version 0.7.4
	- NGワード機能搭載
	- 新規スレッドを立てられるようになった
	- スレッド一覧でのお気にスレマーク表示を設定できるようにした
	- 一部、JavaScriptエラーが出ることがあったのを修正

2003-01-21 aki
	* p2 version 0.7.3
	- 新着スレ、お気にスレがスレッド一覧の表示件数に関わらず、
	必ずしも常に表示されるようになっていなかったのを修正。

2003-01-20 aki
	* p2 version 0.7.2
	- スレッド一覧で新規スレッドは色分け表示するようにした

2003-01-18 aki
	* p2 version 0.7.1
	- PHPのzlib拡張モジュールの代替手段として、systemのgzipが機能していなかったのを修正

2003-01-18 aki
	* p2 version 0.7.0
	- ●IDに対応
	- html化された過去ログを取りこめるようになった
	- 板名を日本語表示するようにした
	- URL指定でお気に板の追加ができるようになった（お気に板の編集）
	- 2chの板リンクをp2で直接開けるようになった
	- まちBBSで一部の板のスレが表示されなかった問題を解消
	- お気にスレや殿堂スレが一つしかない時に、外すことができなくなっていたバグを修正
	- 変数 $ita を $bbs に仕様変更

2003-01-10 aki
	* p2 version 0.6.2
	- p2対応BBSサイト内でジャンプする時に開くウィンドウターゲットの設定が、
	 うまく反映されていなかったバグを修正。

2003-01-09 aki
	* p2 version 0.6.1
	- data/p2_favita.idx を data/p2_favita.brd にデータ形式と名前を変更。
		（しばらくは自動移行のための処理コードを残しておきます）
	- ソートに「勢い」を追加
	- Safariでの表示乱れに対応調整
	- 他いろいろ

2003-01-02 aki
	* p2 version 0.6.0
	- HTML（兼画像）ポップアップ機能を追加
	- ソートにBirthdayを追加
	- あらゆるクッキーに対応できるように改良
	- レスポップアップが画面からはみ出ないように改良
	- 書き込み時のtime問題に偽装timeで対策
	- スレ一覧表示で、お気にスレは表示件数に関わらず、リストアップするようにした
	- subject.txtをDLする頻度を減少
	- p2_setting.txtの保存形式を仕様変更
	- p2_cache/p2_cookie_filter.txt を p2_res_filter.txt に保存ファイル名変更

2002-12-21 aki
	* p2 version 0.5.9
	- 2chのサーバ負荷が高くて書き込みができない場合は、
	 その旨メッセージ表示されるようにした。
	- Windowsサーバで使用している時、 gzip圧縮されたsubject.txtが壊れることがあったのを修正。

2002-12-15 aki
	* p2 version 0.5.8
	- 2chのクッキー仕様変更（PON）に対応。

2002-12-13 aki
	* p2 version 0.5.7
	- 一部、ポップアップウィンドウの大きさが変だったのを修正。

2002-12-13 aki
	* p2 version 0.5.6
	- レス引用ポップアップ(>>1)で、「,」「=」「.」に対応。
	- Mozillaで板一覧検索が動作しなかったのをとりあえず修正。
	- スレ一覧表示で、新着レスのあるスレッドは表示件数に関わらず、リストアップするようにした。
	- 新着ソートの優先順位パターンをより細かくカスタマイズできるようにした。
	- 板サーバ上の板リスト（subject.txt）から外れたスレッドは、
	 自動的にスレッドあぼーんリストから解除されるようにした。
	- あぼーんリストのファイル名を threads_aborn.idx から p2_threads_aborn.idx に仕様変更

2002-12-08 aki
	* p2 version 0.5.5
	- zlibが無効な場合、スレの表示がされなかったバグを修正。

2002-12-08 aki
	* p2 version 0.5.4
	- ソート機能実装。（新着フィルタは廃止）
	- zlib有効だとbbspinkのスレ一覧が見れなかった問題を解消。
	- Win IE6でレスポップアップが変だったのを修正。（マージ感謝→502さん）

2002-12-06 aki
	* p2 version 0.5.3
	- スレッド一覧情報を正しく取得できないことがあったバグを修正。

2002-12-06 aki
	* p2 version 0.5.2
	- PHPをWindowsサーバで動かしている場合、スレッド一覧表示が正常に表示されなかった問題を解消。

2002-12-04 aki
	* p2 version 0.5.1
	- あぼーん検出にバグがあったのを直した。
	- zlib関数が有効な場合は、subject.txtをgzip転送で取得するようにした。

2002-12-02 aki
	* p2 version 0.5.0
	- JBBS@したらばに対応
	- 連番引用レスは最初の一つ目のみをポップアップ表示するようにした。
	 （リンククリックすれば指定範囲レスを表示）

2002-11-26 aki
	* p2 version 0.4.9
	- まちBBSで新着レスまとめ読みをした時に、
	 予期しない連続あぼーんが発生することがあったバグを解消。

2002-11-25 aki
	* p2 version 0.4.6
	- dat倉庫完備（過去ログ管理）
	- mbstringが有効な場合はmbstringの関数を使うようにした。
	 （PHPの環境によって、フィルタ、検索の処理速度が向上します）

2002-11-22 aki
	* p2 version 0.4.5
	- まちBBSでレス取得時の不具合を解消

2002-11-22 aki
	* p2 version 0.4.4
	- まちBBSでスレッドにアクセスできない時のメッセージを表示するようにした
	- まちBBSのリンクもp2内で表示するようにした（マージ感謝→347さん）
	- 他、こまごま（マージ感謝→376さん）

2002-11-22 aki
	* p2 version 0.4.3
	- まちBBS閲覧時のデータ処理にバグがあったのを修正

2002-11-22 aki
	* p2 version 0.4.2
	- まちBBSであぼーんがあるとスレが読めなくなっていた問題を解消

2002-11-22  aki
	* p2 version 0.4.1
	- まちBBSに対応
	- 「新着まとめ読み」を実装。
	- スレッド内容表示のレスポンスが高速化した。
	- スレッド一覧のタイトルクリック時、未読数のカラー変更が正常に動作しないことがあったバグを修正。

2002-11-17  aki
	* p2 version 0.4.0
	- 一部文字化けするバグを修正

2002-11-17  aki
	* p2 version 0.3.9
	- レスフィルタの処理を最適化して若干高速化。
	- スレッド一覧にもフィルタ搭載。
	- 板メニューの検索を装備。

2002-11-13  aki
	* p2 version 0.3.8
	- スレッド一覧表示の処理を最適化
	- お気に板、お気にスレ、スレの殿堂の並び替えが可能になった。
	- レス書き込みログで「<」「>」がHTMLエンティティ変換されずに記録されていたバグを修正。

2002-11-12  aki
	* p2 version 0.3.7
	- レスフィルタで「<」「>」がマッチしなかった不具合を解消。
	- 引用レス番リンク化のマッチ条件を修正

2002-11-10  aki
	* p2 version 0.3.6
	- レスフィルタを改良。条件に「含まない」を追加

2002-11-09  aki
	* p2 version 0.3.5
	- レスフィルタ搭載。
	- dat落ち等でスレがすでにない場合に、スレにアクセスすると
	 DLできなくても読んだことになってしまう問題を解消。
	- 新規スレッドを取得する時、全部表示しないように設定が可能となった。
	- ダウンロードキャッシュが機能的に働くようになった。

	【p2 ver 0.3.4 よりの仕様変更】
	http://akid.s17.xrea.com/p2/from034.php.txt 参照のこと。
	上記URLのテキストをDLして、from034.phpとリネーム後、
	p2ディレクトリに置いて、移行処理を実行して下さい。

2002-11-06  aki
	* p2 version 0.3.4 beta
	- 書き込み履歴がついた
	- 書き込みの名前とメールがスレごとに記憶されるようになった
	- スレ一覧表示時のビュー形式を記憶するようになった
	- ニュー速+で>>1のみのプレビューが可能となった
	- デザイン設定ファイルをconf_user.phpからconf_style.incに分離独立した
	（デザイン関連の変数は$STYLE 配列に統一）
	- スレッドあぼーん表示で、「標準表示」や「新着フィルタ」をクリックすると、
	 別のページへジャンプしていたバグを修正。

2002-11-03  aki
	* p2 version 0.3.3 beta
	- レス数の少ないスレで、「新着レスの表示」 をクリックすると、
	 1しか表示されないことがあったバグを修正。

2002-11-02  aki
	* p2 version 0.3.2 beta
	- p2からレスの書き込みができるようになった

2002-10-30  aki
	* p2 version 0.3.1 beta
	- スレの殿堂を建築した

2002-10-29  aki
	* p2 version 0.3.0 beta
	- セキュリティ保持のため、conf_user.inc を conf_user.php へとファイル名変更した。
	- スレッド一覧でクリック済みのスレが動的に色分けされ、わかりやすくなった。
	- CSS関連の改良

2002-10-29  aki
	* p2 version 0.2.9 beta
	- 新着フィルタ装備
	- オンライン上の板メニューで読み込める対応URLを増やした
	- ローカル板メニューの読み込み指定が無効となることがあったバグを修正

2002-10-27  aki
	* p2 version 0.2.8 beta
	- スレッドあぼーん機能装備
	- 情報ウィンドウ実装
	- お気にスレ関連のマイナーバグフィックス
	
2002-10-25  aki

	* p2 version 0.2.7 beta
	- p2ウプデータン自動確認機能装備
	- 外部URLを開く際にime.nuを通すオプションを追加

2002-10-24  aki

	* p2 version 0.2.6 beta
	- register_globalsがoffの場合、conf_user.incのクライアント別フォントサイズ振り分けが
	うまく反映されていなかった問題を解消
	- register_globalsがoffの場合、スレッド一覧の全て表示が機能しなかった問題を解消
	
2002-10-23  aki

	* p2 version 0.2.5 beta
	- 簡易ユーザ認証に対応（デフォルトはオフ、conf_user.incで設定）
	- register_globalsがoffの場合、お気に板の登録ができなかった問題を解消

2002-10-22  aki

	* p2 version 0.2.4 beta
	- 0.2.2のアップデートで、dat落ちしたスレにアクセスした時の注意メッセージが
	表示されなくなっていた問題を修正。

2002-10-21  aki

	* p2 version 0.2.2 beta
	- スレッド取得レスポンスが高速化した。
	- オンラインからの板メニューの読込みが2、3倍高速化した。
	
2002-10-20  aki

	* p2 version 0.2.1 beta
	- お気にスレ、履歴の表示が約1.1〜2倍高速化した。

2002-10-19  aki

	* p2 version 0.2.0 beta
	- スレッド一覧リスト、お気にスレ、履歴の表示が2、3倍高速化した。
	- ユーザ設定で外部リンクを新規ウィンドウで開けるようになった。
	- 名前の数字もポップアップするようになった。
	- read.php部分に、2chのread.cgiを模したナビゲーションがついた。
	- スレURLを直接指定できるようになった

2002-10-17  aki

	* p2 version 0.1.8 beta
	- 初期設定ファイル conf_user.inc を新規追加
	- 引用レス処理がループすることにより、まれに見られないスレがあったバグを解消
	- 引用レスポップアップを改良
	- ログ削除時の操作を改良

2002-10-14  aki

	* p2 version 0.1.7 beta
	- 引用レス多段ポップアップに対応した。
	- ブラクラチェッカをつけた。

2002-10-12  aki

	* p2 version 0.1.6 beta
	- ディレクトリ構造変更。スタイルシート関係はstyleディレクトリに、cssディレクトリは廃止。

2002-10-09  aki

	* p2 version 0.1 beta
